3.7o    【Sep 19, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- Twitch 다시보기 다운로드 안 되는 문제 해결 (#5031)

- #5033

- #5046

- #5071

- Pixiv 업데이트 대응 (#5105)

- V2ph 업데이트 대응 (#5082)

- nhentai 업데이트 대응 (#5131)

- MyReadingManga 업데이트 대응 (#5109, #5148)

- Nozomi.la "/" 들어간 태그 인식 못하는 문제 해결 (#5146)

- "옵션 - 설정 - 일반 - 플레이리스트 파일에 번호 매기기" 적용되지 않는 문제 해결

- pixivコミック 업데이트 대응 (#5158)

- KakaoPage 업데이트 대응 (#5176)

- Manatoki 업데이트 대응 (#5233)

- WeLoveManga 업데이트 대응 (#5238)

- Twitch 음소거 복구 작동하지 않는 문제 해결 (#5242)

- 기타 자잘한 것들


[변경/추가된 기능]

- Live M3U8 stream 지원 (#5110)

- Pinterest 단일 포스트 다운로드 (#5132)

- Nozomi.la 여러 이미지 포함하는 포스트 다운로드 (#4943)

- ExHentai .onion 도메인 인식

- TikTok 태그 검색 다운로드 (#5235)

- 성능 최적화

- "다시 시작" 한 작업 대기 중 "완료됨으로 표시" 가능

- #5029

- Instagram Reels 다운로드 (#5051)

- 소설 사이트 루비 처리 (#5102)

- #4980

- UI 스케일 설정
    옵션 - 설정 - 고급 - UI 스케일

- 아이콘 모드에서도 우클릭 - 드래그 동작

- Pixiv 정지된 계정 처리 (#5223)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7n    【July 22, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- #4857

- Luscious member 전용 페이지 제목 읽지 못하는 문제 해결 (#4751)

- Torrent 파일 연결 안 되는 문제 해결 (#4873)

- --safemode 적용 안 되는 문제 해결 (#4932)

- #4854

- Pixiv 작가명 문제 (#4897)

- Iwara 일부 이미지 다운로드 안 되는 문제 해결 (#4901)

- Pixiv Comic 업데이트 대응 (#4861)

- Luscious 업데이트 대응 (#4905)

- 다크모드에서 일부 위젯 제대로 안 보이는 해결

- Soundcloud 아주 많은 재생목록 다운로드 안 되는 문제 해결 (#4928)

- 큰따옴표 들어간 작가명 인식 못하는 문제 해결 (#4936)

- TikTok 업데이트 대응 (#4941)

- Hentai Cosplay 업데이트 대응 (#4954, #4961)

- AsmHentai 업데이트 대응 (#4971)

- Twitter 특정 쿠키에서 생기는 문제 해결 (#4967)

- Instagram 특정 쿠키에서 생기는 문제 해결 (#4967)

- #4982

- #5006

- 기타 자잘한 것들


[변경/추가된 기능]

- douyin 다운로드

- Twitter Likes 다운로드 (#726)

- Twitter Retweets 포함 다운로드 (#3429)

- Torrent 시딩 설정
    옵션 - 설정 - Torrent 설정 - 시딩

- YouTube 해상도 지정 다운로드 (#4851, #4895)
    옵션 - 설정 - YouTube 설정 - 파일 형식 물어보기

- Soundcloud 재생목록 더 빠르게 읽음

- Etc 사이트 자막 지원

- YouTube 자막 모든 언어 지원

- 플러그인 기능
    옵션 - 설정 - 플러그인

- 커스텀 테마 지원

- Torrent 작업 메뉴
    작업 마우스 우클릭 - Torrent

- 관리자 권한 없이 실행 옵션 (#4934)
    옵션 - 설정 - 관리자 권한 없이 실행

- "페이지 지정 다운로드 기본값" → "최대 페이지 제한" 으로 변경 (#4933)

- TikTok 파일명 제목 포함하도록 변경

- 작가 추천 현재 언어 설정에 따르도록 변경

- 내장 웹브라우저 GPU 사용하게 변경 (#4941)

- 작업표시줄 진행도 현재 다운로드 중인 작업들의 진행도를 표시하도록 변경

- 성능 / 메모리 최적화

- YouTube, Twitch 등 파일명 포맷 "artist" 지원 (#4940, #4953)

- 스크립트 "@Downloader.register" 생략 가능

- 이미 동일한 작업이 있다면 다시 시작할지 물어봄

- Torrent 파일 가능하면 헤더 먼저 받음

- 아주 작은 이미지 & 동영상 파일은 다운로드 실패로 간주 (#4996)

- 내장 브라우저 쿠키 ↔ 현재 쿠키 설정 동기화

- Instagram 쿠키가 없다면 로그인 창 띄움

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7m    【June 08, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- V3 오진으로 모듈 다운그레이드 (#4835)



--------------------------------------------------------------------------------------------------------------------------------------------
3.7l    【June 07, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- 갑자기 폰트 깨지는 문제 해결

- 일부 화질 적용 안 되는 사이트 수정 (#4773)

- YouTube 동영상 다운로드 후 음원 다운로드하면 중복 처리 되는 문제 해결 (#4776)

- #4794

- xHamster 새 도메인 지원 (#4826)

- Instagram 업데이트 대응 (#4829)

- KissJav 새 도메인 지원 (#4835)

- YouTube 프록시 적용 안 되는 문제 해결 (#4850)

- 기타 자잘한 것들


[변경/추가된 기능]

- 생성한 폴더 목록 보기 (#4698)

- #4752

- Hitomi.la / E(x)Hentai 파일명 형식 "숫자 + 원본" 추가 (#4762)

- Torrent 시드 파일 삭제한 후 재시작하면 남아있는 마그넷 링크로 읽도록 수정

- Torrent Tracker 수정 기능

- 다시 시작 시 이미 다운로드한 것들은 수정한 날짜 유지하도록 수정 (#4764)

- 패커 업데이트 (#4648, #4781)

- 단축키 수정 (#4805)

- 프로그램 시작 시간 최적화

- Twitter 로그인 필요할 경우 경고 (#4839)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7k    【May 06, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- 설정 파일 없는 상태에서 시작할 때 저장 안 되는 문제 해결 (#4733)



--------------------------------------------------------------------------------------------------------------------------------------------
3.7j    【May 06, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- Pawoo 일부 다운로드 안 되는 문제 해결 (#4381)

- Luscious 업데이트 대응 (#4386)

- Pixiv Comic 일부 작품 다운로드 안 되는 문제 해결 (#4389)

- XVideos 업데이트 대응 (#4401, #4410, #4530)

- "브라우저로 보기"에서 WebP 파일 안 보이는 문제 해결 (#4424)

- 일부 단일 트윗 다운로드 안 되는 문제 해결 (#4438)

- Hitomi.la 애니메이션 다운로드 안 되는 문제 해결

- カクヨム 일부 다운로드 안 되는 문제 해결 (#4445)

- Iwara 이미지 다운로드 안 되는 문제 해결 (#4450)

- Iwara 채널 다운로드 시 첫 이미지만 다운로드 되는 문제 해결 (#4499)

- nhentai 업데이트 대응 (#4541)

- DeviantArt 업데이트 대응 (#4515)

- #4534

- Tumblr 업데이트 대응(#4645)

- Manatoki 업데이트 대응(#4660, #4664)

- 불완전하게 받아진 화 다시 시작 시 완료되는 문제 해결 (#4633, #4676)

- DeviantArt 업데이트 대응 (#4671)

- #4713

- #4728

- 기타 자잘한 것들


[변경/추가된 기능]

- PNG 변환 (#4420)

- #4451

- #4385

- #4524

- Twitter 로그인 필요할 경우 경고 (#4549)

- 통계 총 용량 표시 (#4328)

- Danbooru Ugoira 비디오 형식으로 다운로드 하도록 수정 (#4635)

- YouTube 8K 다운로드 (#4593)

- "로컬 파일로 부터 새 작업 만들기" - "단일 파일" 여러 개 선택 가능 (#4682)

- 도중에 하드드라이브 연결이 끊어졌을 때 다시 DB 연결 (#4712)

- 동영상 파일 미리보기

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7i    【Jan 27, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- 일부 사이트에서 일시 정지 후 다시 시작 안 되는 문제 해결

- カクヨム 일부 작품 다운로드 안 되는 문제 해결 (#4262)

- Facebook 일부 계정 다운로드 안 되는 문제 해결 (#2417)

- xHamster 새로운 도메인 지원 (#4332)

- Hitomi.la 업데이트 대응 (#4351, #4352)

- KAKAO WEBTOON 업데이트 대응 (#4360)

- #4267

- #4288

- #4298

- #4316

- Weibo 오래된 쿠키 업데이트 메시지 안 나오는 문제 해결

- Tiktok 모바일 주소 다운로드 안 되는 문제 해결 (#4324)

- Instagram 업데이트 대응 (#4336)

- XVideos 일부 제목 잘못 읽는 문제 해결 (#4359)

- Twitter 업데이트 대응

- 기타 자잘한 것들


[변경/추가된 기능]

- Naver Cafe 지원 (#2090)

- 폴더 열기 단축키

- #4287

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7f    【Jan 03, 2022】

[버그 해결 / 사이트 변경에 의한 수정]

- Danbooru 업데이트 대응 (#4160)

- Hitomi.la 업데이트 대응 (#4214)

- 다운로드 중 삭제하면 버벅이는 문제 해결

- E(x)Hentai private 다운로드 안 되는 문제 해결 (#4223)

- Twitch 클립 리스트 다운로드 안 되는 문제 해결 (#4191)

- 기타 자잘한 것들


[변경/추가된 기능]

- Danbooru popular 다운로드 (#4160)

- #4161

- Yande.re 원본 이미지 다운로드 (#4231)

- #4159

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7e    【Dec 27, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- iwara 일부 채널 다운로드 안 되는 문제 해결 (#4030)

- Facebook 일부 영상 다운로드 안 되는 문제 해결 (#4064)

- XVideos 일부 영상 다운로드 안 되는 문제 해결 (#4083)

- Jmana 업데이트 대응 (#4070)

- Pixiv Newest works: Following 업데이트 대응 (#4077)

- Bilibili 플레이리스트 페이지만 다른 영상 동시에 다운로드할 때 생기는 문제 해결 (#4117)

- Mastodon 계열 문제 해결 (#4125)

- Hitomi.la 업데이트 대응 (#4126, #4152)

- #4137

- #4185

- #4196

- 기타 자잘한 것들


[변경/추가된 기능]

- 4chan 지원 (#2085, #4116)

- YouTube Live Stream 지원

- Twitch Live Stream 지원

- "브라우저로 보기" HTTP API 꺼도 보이게 수정 (#4060)

- 방향키로 화 이동 (#4060)

- 중북 이미지 찾기 "자동 선택": 완전히 같은 파일일 경우 최근 이미지 우선 선택 (#4085)

- 작업 목록 필터링 OR, NOT, 괄호 지원 (#4046)
    예:
        A OR B
        NOT type:youtube
        (A OR B) C

- #4103

- #4110

- #4130

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7d    【Nov 23, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- SankakuComplex 일부 URL 잘못 인식하는 문제 해결 (#3990)

- 일부 환경에서 토렌트 다운로드 안 되는 문제 해결 (#3998)

- #3951

- 오래된 설정파일 (*.ini) 읽지 못하는 문제 해결 (#4025)

- KAKAO WEBTOON 안정화 (#4009)

- Hitomi.la 업데이트 대응 (#4037, #4038)

- 기타 자잘한 것들


[변경/추가된 기능]

- E(x)Hentai "Always use the Multi-Page Viewer" 지원 (#3415)

- HTTP API 지원
    옵션 - 설정 - 고급 설정 - HTTP API

- "브라우저로 보기" 수정

- ArtStation 더 좋은 화질로 다운로드 (#2600, #4039)

- Instagram 오래된 쿠키 경고 메시지 (#4014)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7c    【Nov 05, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- 일부 환경에서 특정 사이트 다운로드 안 되는 문제 해결 (#3944)

- #3951

- MyReadingManga 다운로드 안 되는 문제 해결 (#3965)

- Twitter 영상 다운로드 안 되는 문제 해결 (#3970)

- 필터 켜 놓은 상태에서 방향키, Home, End 제대로 작동하지 않는 문제 해결 (#3974)

- Weibo 새로운 UI 지원 (#3508)

- Tiktok 업데이트 대응 (#3978)

- 半次元 다운로드 안 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- epio.app 지원 종료

- M3U8 다운로드 속도 개선

- 小説家になろう ncode 표시 (#3938)

- 크롬 확장 프로그램에서 프로그램으로 쿠키 업데이트하는 기능 추가

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.7b    【Oct 29, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- #3946

- #3958



--------------------------------------------------------------------------------------------------------------------------------------------
3.7a    【Oct 28, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- 폴더명 형식 "/" 인식 못 하는 문제 해결



--------------------------------------------------------------------------------------------------------------------------------------------
3.7    【Oct 28, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- Torrent 일부 마그넷 링크 읽지 못하는 문제 해결

- Pixiv Comic 다운로드 안 되는 문제 해결 (#3700, #3815, #3845)

- 여러 Torrent 관련 문제 해결

- 너무 긴 주소 다운로드 안 되는 문제 해결

- 검색기에서 anime 다운로드 체크 안 되는 문제 해결 (#3714)

- Bilibili 일부 주소 다운로드 안 되는 문제 해결 (#3777)

- Pixiv 폴더명에 "\" 들어가면 다운로드 안 되는 문제 해결 (#3797)

- LHScan 업데이트 대응 (#3809, #3815)

- ArtStation 업데이트 대응 (#3849)

- Twitter 읽을 때 버벅이는 문제 해결

- YouTube 다운로드 속도 문제 패치 (#3891)

- nhentai 업데이트 대응 (#3930)

- 기타 자잘한 것들


[변경/추가된 기능]

- Twitter Broadcast 지원

- KAKAO WEBTOON 지원 (#3692)

- #3661

- Nozomi.la 지원 (#3841)

- xhwebsite.com 도메인 지원 (#3881)

- Daum Webtoon 지원 종료 (#3692)

- Torrent 파일 연결 (#3696)
    옵션 - 설정 - Torrent 설정 - 토렌트 파일 연결

- Torrent 조각 표시
    옵션 - 설정 - Torrent 설정 - 조각 표시

- Custom URI 지원
    예: hitomi://123

- 동영상 썸네일 추출 최적화

- Hanime.tv 해상도 YouTube 설정을 따르도록 수정 (#3712)

- Twitch 해상도 YouTube 설정을 따르도록 수정 (#3723)

- Torrent 동시 다운로드 3개 제한 해제

- 작업 목록 필터링 "script:" 추가
    예:
        script:"item.type != 'twitter'"
        script:"item.filesize > 1024*1024*100"

- 가능하면 최종 파일 크기 표시

- 단일 파일 또는 Torrent 작업에서 가능하면 ETA 표시

- 폴더명 형식 type==A?B:C; series==A?B:C; 등 지원

- 썸네일 크기 조절 시 현재 선택된 작업으로 스크롤

- UTF-8 with BOM 지원 (#3739)

- 번역 업데이트 (#3739)

- #3763

- V LIVE 자막 다운로드 (#3778)

- 플레이리스트 파일에 번호 매기기
    옵션 - 설정 - 일반 설정 - 플레이리스트 파일에 번호 매기기

- 네이버 블로그 중복 파일명 처리 (#3788, #3817)

- 초기 구동 속도 & 저장 속도 최적화

- 다크 모드 전환 속도 최적화

- 테마 설정
    옵션 - 설정 - 일반 설정 - 테마

- 작업 목록 필터링에서 제목 검색 시 URL도 포함해서 검색

- 단일 파일 작업 동영상 길이 표시

- Torrent "최대 다운로드 속도" 제한 지원

- Torrent 프록시 설정 지원

- #3790

- FC2 고화질 다운로드 (#3784)

- 저사양 모드 (#3878)
    옵션 - 설정 - 고급 설정 - 저사양 모드

- Twitter 더 넓은 범위 다운로드 (#3812)

- Hiyobi.io 지원 (#3861, #3862)

- LHScan 로그인 쿠키 없으면 경고 (#3324, #3815, #3877)

- 중복 이미지 찾기 유사도 범위 지정해서 자동 선택 (#3912)

- 중복 이미지 찾기 최적화

- Ctrl + 방향키 이동 그룹 지원 (#1336, #3867)

- 미리보기 F5 눌러서 새로고침

- 다운로드 목록에서 마우스 오른쪽 버튼으로 스와이프
    왼쪽으로 스와이프해서 파일 삭제

- 직접 다운로드 기능 (#3935)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.6    【Aug 12, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- #2966

- Twitter 일부 계정 무한 로딩 문제 해결

- LHScan 새 도메인 지원 (#3603)

- Hitomi.la 업데이트 대응 (#3638)

- #3632

- #3641

- E(x)Hentai 최대 동시 작업 무시하는 문제 해결 (#3643)

- 기타 자잘한 것들


[변경/추가된 기능]

- 초기 로딩 시간 최적화

- 썸네일 로딩 시간 최적화

- 설정 파일 (*.ini) 크기 최적화

- 설정 파일 (*.ini) 구조 변경 (신버전에서 작성한 설정 파일 구버전에서 읽을 수 없음)

- 고급 설정에서 스크롤할 때 콤보박스나 슬라이더 반응하지 않도록 수정

- 미리보기 창 크기 조절 가능하게 수정

- 다운로더 작업 목록 필터링했을 때 그룹에 해당 갯수 표시

- 소설가가 되자 꼬릿말 추가 (#2888, #3610)

- 일시정지 후 완료시킬 수 있게 수정 (#3482, #3609)

- 작업 레이지 로딩 끄는 옵션 (#3613)

- Pixiv 파일명 형식 "artistid" 추가 (#3636)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.5    【July 11, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- Twitter 업데이트 대응 (#3525)

- PornhubPremium 문제 해결 (#3511)

- 네이버 웹툰 업데이트 대응 (#3540, #3541)

- Hitomi.la 업데이트 대응 (#3545)

- 프로그램 패스워드 입력창 다크모드에서 이상하게 보이는 문제 해결 (#3549)

- 기타 자잘한 것들


[변경/추가된 기능]

- 시작할 때 'Scripts' 폴더에 있는 스크립트 읽는 중 메시지박스 숨김

- 캐싱 작업 보여줌 (#3471)

- Hitomi.la / E(x)Hentai 파일들 수정된 날짜 1초씩 띄움

- 작업 목록 필터링에서 제목 검색 시 코멘트도 포함해서 검색

- #3531

- #3528

- 초기 로딩 시간 최적화 (#3539)

- 설정 파일 (*.ini) 구조 변경 (신버전에서 작성한 설정 파일 구버전에서 읽으면 썸네일과 파일목록 누락됨)

- #3543

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.4a    【June 18, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- 페이지 지정 다운로드 기본값 체크 해제한 다음 다시 실행했을 때 적용되는 문제 해결 (#3464)

- Pixiv /artworks 인식 못 하는 문제 해결 (#3474)

- #3484

- Pixiv 일부 계정에서 북마크 다운로드 안 되는 문제 해결 (#3460, #3475)

- Hitomi.la 업데이트 대응 (#3498)

- 기타 자잘한 것들


[변경/추가된 기능]

- #3463

- 다음 웹툰리그 다운로드 (#3477)

- 화가 나눠진 사이트는 페이지 지정 다운로드 무시하도록 수정 (#3480)

- #3481

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.4    【June 08, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- SankakuComplex 100 페이지 다운로드 시 실패하는 문제 해결 (#3366)

- Iwara 502 문제 해결

- #3392

- #3387

- #3443

- Hitomi.la 업데이트 대응 (#3457)

- 기타 자잘한 것들


[변경/추가된 기능]

- #3340

- Pixiv 이미 다운로드한 Ugoira 스킵 (#3355)

- 컴퓨터 종료 시 자동으로 저장하고 종료 (#1197)

- Iwara 채널 이미지 다운로드 (#3357)

- Pinterest 동영상 다운로드 (#3389)

- 필터 북마크 추가 (#3353)

- 검색기에서 폴더명 형식 달라도 이미 다운로드한 것 인식 (#1240)

- 검색기에서 다운로드 완료 표시 마우스 우클릭하면 첫번 째 파일 여는 기능 추가

- Hiyobi.me 지원 종료

- 카카오페이지 로그인 방식 변경

- 이미지 크기 조절할 때 세로나 가로로 많이 긴 이미지 너무 줄어들지 않도록 수정

- 성능 / 메모리 최적화

- 설정 파일 (*.ini) 구조 변경 (신버전에서 작성한 설정 파일 구버전에서 읽을 수 없음)

- #3407

- 검색기 날짜 표시 (#3410)

- #3449

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.3b    【April 27, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- #3167

- 일시정지 안 되는 문제 해결 (#3191)

- Jmana 다른 이미지 섞여서 나오는 문제 해결 (#3192)

- Jmana 다운로드 안 되는 문제 해결 (#3220, #3223)

- 페이지 지정 다운로드 큰 값 입력하면 생기는 오류 해결

- Niconico 다운로드 안 되는 문제 해결 (#3215, #3228, #3268, #3330)

- DeviantArt 일부 이미지 다운로드 안 되는 문제 해결 (#3173)

- Hitomi anime 완료 후 뜨는 오류 해결

- Twitter 최대 갯수 이상이면 마지막 트윗 하나만 읽는 문제 해결 (#3201)

- 다시 시작 후 대기 중일 때 삭제하면 파일 삭제되지 않는 문제 해결

- Torrent 일시정지하면 파일 수 두 배로 표시되는 문제 해결

- Pixiv 비공개 Bookmarks 다운로드 안 되는 문제 해결 (#3218)

- Tumblr 일부 다운로드 안 되는 문제 해결 (#3235)

- Iwara 특수문자 들어간 유저명 프로필 페이지에서 다운로드 안 되는 문제 해결 (#3239)

- Instagram 삭제된 계정 로딩 문제 해결 (#3249)

- Bilibili 일부 주소 다운로드 안 되는 문제 해결

- MyReadingManga 다운로드 안 되는 문제 해결 (#3251)

- PornHub 다운로드 안 되는 문제 해결 (#3278, #3283)

- 폴더 붙여넣기 안 되는 문제 해결 (#3252)

- 공백 있는 Torrent 파일 불러오기 안 되는 문제 해결

- YouTube 일부 영상 다운로드 안 되는 문제 해결 (#3236, #3282)

- #3275

- Vimeo 일부 영상 다운로드 안 되는 문제 해결

- DeviantArt 무한 로딩 문제 해결 (#3295, #3329)

- SankakuComplex 다운로드 안 되는 문제 해결 (#3325, #3326)

- 기타 자잘한 것들


[변경/추가된 기능]

- FFmpeg 변환 동시에 하나만 실행 (#3205)

- 중복 이미지 찾기 해상도 정보 추가 (#3180)

- 중복 이미지 찾기 유사도 설정 추가 (#3181)

- 중복 이미지 찾기 썸네일 설정 추가

- Tumblr 움짤 읽는 속도 최적화

- 미리보기에서 마우스 휠로 스크롤

- 작업 목록 필터링에서 artist:, group: → artist: 로 통합

- 작업 고정 기능 추가 (#3242)

- Niconico 음원 다운로드
    다운로드 버튼 우 클릭 → MP3 (음원)

- #3266

- 작업 목록 내림차순 정렬 추가 (#3267)

- Gelbooru 검열된 태그 다운로드 (#2566)

- 아이콘 모드에서도 태그 표시

- SankakuComplex 개별 게시물 다운로드

- Daum Webtoon 유료 화 다운로드 (#3314)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.3a    【Mar 1, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- LHScan 다운로드 안 되는 문제 해결 (#3079, #3130)

- LHScan 제목 잘못 인식하는 문제 해결 (#3162)

- 일부 동영상 다운로드 중 삭제하면 생기는 문제 해결

- Pixiv 업데이트 대응 (#3083, #3085)

- Twitter twitter_ 인식 못 하는 문제 해결 (#3092)

- Avgle 다운로드 안 되는 문제 해결 (#2998)

- Jmana 다운로드 안 되는 문제 해결 (#2952)

- 일부 Tumblr 다운로드 안 되는 문제 해결 (#3163)

- 기타 자잘한 것들


[변경/추가된 기능]

- 썸네일 잠금 옵션 (#3073)

- Twitch 가능하면 음소거된 부분 복구 (#1585)

- Pixiv 로그인 방식 변경 (쿠키 이용)

- Pixiv Newest works: Following 지원 (#2286)

- 리스트 보기 모드 단축키 변경
    Ctrl+M → Alt+V

- 플레이리스트 4 배 더 빠르게 다운로드

- #3140

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.3    【Feb 4, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- 다시시작 중 작업 삭제하면 생기는 오류 해결

- 일부 환경에서 너무 늦게 켜지는 문제 해결 (#2988, #2989, #2990, #2991, #2992, #2995)

- xHamster 일부 다운로드 안 되는 문제 해결 (#3003)

- FC2 동영상 다운로드 안 되는 문제 해결

- YouTube 다운로드 안 되는 문제 해결 (#3052)

- 기타 자잘한 것들


[변경/추가된 기능]

- --safemode 필요한 경우 자동으로 포함해서 재시작하지 않음 (#2988, #2989, #2990, #2991, #2992, #2995)

- 설정 파일 (*.ini) 구조 변경 (신버전에서 작성한 설정 파일 구버전에서 읽을 수 없음)

- 작업 목록 저장 시 메모리 점유율 / 속도 최적화

- 붙여넣고 다운로드 단축키 제거

- 검색기에서 태그 리스트 스크롤할 때 전체 리스트 움직이지 않도록 수정 (#2990)

- 아이콘 모드에서도 진행바 표시

- 기본 페이지 범위 ~2000 으로 수정

- 기본 폰트 변경

- #2981, #3006

- 미리보기에서 동영상 파일인지 표시

- 필터 버튼 우클릭 메뉴 추가

- 잠금 표시 수정

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.2d    【Jan 16, 2021】

[버그 해결 / 사이트 변경에 의한 수정]

- Tumblr 일부 계정 다운로드 안 되는 문제 해결 (#2859)

- Pornhub premium 다운로드 안 되는 문제 해결 (#2875)

- LHScan 바뀐 URL 지원 (#2916)

- Instagram 스토리 개별 다운로드 안 되는 문제 해결 (#2923)

- Gelbooru 다운로드 안 되는 문제 해결 (#2924)

- Facebook 동영상 소리 안 나오는 문제 해결 (#2912)

- Instagram 일부 환경에서 다운로드 안 되는 문제 해결 (#2900)

- Pornhub 업데이트 대응 (#2936)

- 폴더명에 출력 불가능한 문자 들어가면 생기는 문제 해결 (#2950)

- Instagram 오래된 게시물 다운로드 못 하는 문제 해결 (#2886, #2959)

- 기타 자잘한 것들


[변경/추가된 기능]

- --safemode 필요한 경우 자동으로 포함해서 재시작 (#2843)

- 다시 시작 시 폴더명 유지 (#2883, #2882)

- 작업 불러오는 시간 두 배 빠르게 최적화 (#2904)

- Torrent 같은 해시 인식

- 빠른 액세스 기능 추가

- Instagram 스토리 포함 여부 선택 (#2762)
    옵션 - 설정 - Instagram 설정 - 스토리 포함

- 다시 시작하는 중에 첫번째 파일 열 수 있게 수정

- Torrent 작업 주소 복사하면 Magnet URI 복사하도록 수정

- 필터 켜진 상태에서 작업 순서 바꿀 수 있게 수정 (#2813)

- 사용자 지정 테마 색 & 다크모드 일반 설정 탭으로 옮김 (#2964)

- 역슬래시 제대로 보이도록 수정 (#2965)

- 스크롤 속도 조절 (#2972)
    옵션 - 설정 - 고급 설정 - 스크롤 속도

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.2c    【Dec 27, 2020】

[버그 해결 / 사이트 변경에 의한 수정]

- #2823

- 일부 HiDPI 환경에서 메뉴바가 보이지 않는 문제 해결 (#2824, #2827)

- Twitter 로그인 쿠키로 다운로드 안 되는 문제 해결

- ZIP 파일대신 폴더 열리는 문제 해결 (#2823)

- Instagram 일부 쿠키 인식 못하는 문제 해결 (#2849)

- 트레이 아이콘 안 보이는 문제 해결

- Instagram Stories 다운로드 안 되는 문제 해결 (#2857)

- Instagram 사진 수 두배로 나오는 문제 해결

- Tumblr 일부 다운로드 안 되는 문제 해결 (#2859)

- YouTube 일부 MPD 포맷 영상 최고 화질로 다운로드 안 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- youtube-dl 에서 지원하는 모든 사이트 지원 (#2817)

- FC2 Video 다운로드 (#2563, #2819)

- Likee 다운로드

- 그룹 열고 닫기 단축키 변경 (Enter → Space bar)

- Instagram 로그인 쿠키 넣지 않으면 경고

- 작업 다시 시작해서 읽을 때 로더 보이기

- xHamster 채널 friends only 비디오 제외 (#2858)

- 수정한 날짜 유지하면서 움짤 변환

- 수정한 날짜 유지하면서 이미지 크기 조절

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.2b    【Dec 10, 2020】

[버그 해결 / 사이트 변경에 의한 수정]

- 플로팅 미리보기 화면 밖으로 나가는 문제 해결

- YouTube 일부 영상 다운로드 안 되는 문제 해결 (#2675)

- JMana 다른 이미지 섞여서 다운로드되는 문제 해결 (#2662, #2674, #2709)

- 휴지통으로 보내지 않고 바로 삭제하는 문제 해결 (#2677)

- Hiyobi.me 일부 URL 인식 못 하는 문제 해결 (#2683, #2721)

- Twitter 오래된 트윗 읽지 못하는 문제 해결 (#2534)

- MyReadingManga 다운로드 안 되는 문제 해결 (#2598, #2693)

- Instagram 압축 & 삭제 설정시 다시 시작 안 되는 문제 해결 (#2552)

- 마우스 드래그 잔상 남는 문제 해결

- pixivコミック 다운로드 안 되는 문제 해결 (#2645)

- No tags 작동 안 하는 문제 해결 (#2707, #2812)

- YouTube VR 다운로드 안 되는 문제 해결 (#2606)

- LHScan 일부분 다운로드 안 되는 문제 해결 (#2601)

- Daum Webtoon 일부 다운로드 안 되는 문제 해결 (#2571)

- Youtube Playlist 일부 다운로드 안 되는 문제 해결 (#2716)

- Nijie 첫장만 다운로드되는 문제 해결 (#2669)

- BDSMlr 다운로드 안 되는 문제 해결 (#2676)

- TikTok 채널 다운로드 안 되는 문제 해결 (#1810)

- VLIVE 다운로드 안 되는 문제 해결 (#2766)

- XVideos .es 도메인 지원 (#2792)

- Instagram 차단 방지 (#2708, #2761, #2773)

- 기타 자잘한 것들


[변경 / 추가된 기능]

- Rule34.xxx 다운로드 (#868, #1120, #1207, #1662, #2060, #2068, #2694, #2711)

- nhentai.com 다운로드 (#2095)

- XVideos 채널 다운로드 (#2019, #2695)

- Yande.re Pool 다운로드

- 작업 폰트 가독성 개선

- YouTube 이미 다운로드한 파일 스킵 (#2713)

- 다운로드 중에도 미리보기 볼 수 있도록 수정

- 검색기 선택한 데이터에 맞춰서 자동완성 되도록 수정

- --safemode 옵션 추가 (#2678, #2679, #2701, #2712, #2714, #2719, #2725)

- Nijie 로그인 쿠키 넣어야 동작하도록 수정 (#2669)

- 랜덤으로 하나 선택시 가능하면 최상단에 보이도록 수정 (#2200)

- --experimental 옵션 추가 (#2687)

- Ctrl + 마우스 스크롤로 썸네일 크기 조절

- 미리보기 창 화면 밖으로 나가지 않게 수정

- 주소바를 제외한 곳에 포커스가 있을 때 Ctrl + V 누르면 클립보드에 있는 주소 붙여넣고 다운로드

- youtube-dl (YouTube 영상 추출 모듈) 항상 최신으로 업데이트

- WEBTOON 화 순서대로 정렬되도록 수정

- 자동 완성 아무 텍스트 없이도 볼 수 있게 수정

- 검색어 자동 완성 옵션 "옵션 - 설정 - 고급 설정" 에서 "검색기 - 옵션" 으로 이동

- Twitter /media 탭 주소 중복 인식

- 여러 작업 선택 후 코멘트 수정하면 모두 적용되도록 수정 (#2805)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.2a    【Oct 31, 2020】

[버그 해결 / 사이트 변경에 의한 수정]

- 다운로드 중 인터넷 끊기면 다시 연결되어도 다운로드 안 되는 문제 해결

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.2    【Oct 30, 2020】

[버그 해결 / 사이트 변경에 의한 수정]

- 더보기 버튼 작동하지 않는 문제 해결 (#2508)

- 일부 사이트 다운로드 중 열 수 없는 문제 해결

- Torrent 다운로드 안 되는 문제 해결

- 일시 정지 후 다시 다운로드 안 되는 문제 해결 (#2596)

- 자동 재시작 전에 다시 시작하면 이상하게 작동하는 문제 해결

- 다시 시작할 때 가끔 파일 크기 잘못 표시하는 문제 해결

- Torrent Magnet 링크 넣으면 쓰레기 파일 만드는 문제 해결

- 내장 브라우저 숨겨지지 않는 문제 해결 (#2603)

- Manatoki 일부 화 다운로드 안 되는 문제 해결 (#2622)

- Hiyobi.me 다운로드 안 되는 문제 해결

- 삭제 확인창 뜨는 문제 해결 (#2624)

- Hitomi.la 다운로드 안 되는 문제 해결 (#2631, #2608, #2609, #2610, #2615, #2616, #2625, #2627, #2628, #2629, #2643, #2657, #2659)

- Hitomi.la 일부 다운로드 안 되는 문제 해결 (#2635)

- 일시정지 다시 시작 못하는 문제 해결 (#2516)

- Sankaku Complex Plus 포함되면 읽기 실패하는 문제 해결 (#2652)

- Pixiv 일부 URL 인식하지 못하는 문제 해결 (#2653)

- Tiktok 다운로드 안 되는 문제 해결 (#1810)

- 작업 목록 메모리 누수 해결

- Kakaopage 다운로드 안 되는 문제 해결 (#2618, #2664)

- 버벅일 때 창 드래그하면 이상하게 움직이는 문제 해결

- 동시에 많은 양의 동영상을 다운로드했을 때 전체 다운로드가 멈추는 문제 해결

- 기타 자잘한 것들


[변경 / 추가된 기능]

- 메모리 점유율 / 속도 최적화

- 암호화된 M3U8 다운로드

- 특수문자 경로 등의 상황으로 인해 임시 폴더가 잘못 만들어지는 문제 / 권한 문제 (#2513, #2514, #2524, #2526, #2541, #2569, #2630) / 지저분한 임시폴더 문제 (#2565) 때문에 v3.1 이전과 같이 %TEMP% 폴더에 압축 풀도록 변경

- 미리보기 새 창에서 띄우게 수정

- 작가 / 그룹 제외 기능 (#2593)

- 썸네일 크기 변경 옵션
    옵션 - 썸네일 크기

- 작업 그룹 언제나 보이게 수정 (#2530)

- 작가 추천 뷰어 개선

- 아이콘 보기 모드 추가
    옵션 (Options) - 보기

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.1    【Sep 24, 2020】

[버그 해결 / 사이트 변경에 의한 수정]

- YouTube 일부 앨범아트 삽입 오류 해결 (#2275)

- /reader/ 주소 인식 안 되는 문제 해결 (#2277)

- 작가 추천 뷰어 썸네일 안 보이는 문제 해결

- 중복 이미지 찾기 일부 파일명 삭제 오류 해결 (#2278)

- 작가 추천 저장 안 되는 문제 해결 (#2287, #2444)

- 일부 이미지 크기 조절 안 되는 문제 해결 (#2288, #2308, #2318, #2393)

- Gelbooru 다운로드 안 되는 문제 해결 (#2290, #2297)

- Avgle 일부 다운로드 안 되는 문제 해결 (#2300)

- 언어에 .html 붙는 문제 해결 (#2355)

- "다시 시작" 했을 때 메시지 길이 너무 늘어나는 문제 해결

- YouTube 일부 영상 변환 실패하는 문제 해결 (#2317, #2436)

- Twitter 아무 사진도 없으면 무한 로딩되는 문제 해결

- Naver Webtoon 이펙트툰 다운로드 안 되는 문제 해결 (#2313)

- Pawoo 다운로드 안 되는 문제 해결 (#2350)

- 일부 사이트에서 폴더 형식에 [artist] 가 들어가지 않았을 때 생기는 문제 해결 (#2349)

- YouTube 일부 영상 다운로드 안 되는 문제 해결 (#2368)

- Instagram Stories 다운로드 안 되는 문제 해결

- Weibo 다운로드 안 되는 문제 해결 (#2407)

- MyReadingManga 다운로드 안 되는 문제 해결 (#2336, #2435)

- 하위 폴더 중복해서 압축하는 문제 해결 (#2397)

- 일부 환경에서 가끔 다운로드가 완전히 멈추는 문제 해결

- JMana 필요 없는 이미지까지 다운로드되는 문제 해결 (#2431)

- Imgur 다운로드 안 되는 문제 해결 (#2430)

- 일부 주소 붙여넣기 안 되는 문제 해결 (#2440)

- Twitter 개별 tweet 다운로드시 메시지가 길면 이미지를 얻지 못하는 문제 해결

- BDSMLR 다운로드 안 되는 문제 해결 (#2299)

- Iwara 채널 다운로드 일부만 되는 문제 해결 (#2499)

- AfreecaTV 19금 영상 다운로드 안 되는 문제 해결 (#2493)

- 기타 자잘한 것들


[변경 / 추가된 기능]

- Yande.re 다운로드 (#1455, #1527, #1756, #2011, #2040, #2211, #2319)

- KakaoTV 다운로드

- WEBTOON 다운로드 (#2332)

- Manatoki 다운로드

- Naver Post 다운로드

- BestJavPorn 지원 종료 (#2105)

- Itmtu 지원 종료

- Manamoa 지원 종료

- Iwara 채널 다운로드 (#1882)

- Twitch 모든 Clip 다운로드 (#2396)

- Pixiv 중복 작업 방지 (#2302)

- "다시 시작" 했을 때 실패하면 불완전한 작업으로 표시하고 에러 표시

- Twitter 안정화 (#2303)

- Twitter "다시 시작" 하면 최근 트윗만 업데이트 하도록 수정 (#2344)

- 검색기에서 이미 다운로드한 작품 제외하는 옵션 (#2329)
    옵션 - 검색 필터

- YouTube 해상도 480p 추가

- FFmpeg 바이너리 다운로드 속도 개선

- Pixiv 원본 수정된 날짜 보존 (#2021)

- Jmana 개별 화 주소 넣어도 동작하도록 수정 (#1799, #2496)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.0b    【Aug 15, 2020】

[버그 해결]

- 검색기에서 추가 안 되는 문제 해결



--------------------------------------------------------------------------------------------------------------------------------------------
3.0a    【Aug 15, 2020】

[버그 해결]

- 검색기 찾기 퍼지 검색 안 되는 문제 해결

- Twitter 사용자 쿠키 입력시 동영상 다운로드 못 하는 문제 해결 (#2246)

- Twitter 리사이징 된 이미지 다운로드 되는 문제 해결 (#2244)

- Twitter 개별 트윗 동영상 다운로드 안 되는 문제 해결

- Twitter 오래된 트윗 다운로드 안 되는 문제 해결 (#2244, #2263)

- Twitter 일부 계정 다운로드 안 되는 문제 해결 (#2244)

- 갤러리 넘버 복사 안 되는 문제 해결 (#2247)

- Hiyobi.me 다른 폴더에 저장되는 문제 해결

- YouTube 일부 영상 제대로 다운로드 안 되는 문제 해결 (MPEG DASH) (#2201)

- Pixiv Comic 다운로드 안 되는 문제 해결 (#2259)

- YouTube 일부 채널 다운로드 안 되는 문제 해결 (#2251)

- 중복 이미지 찾기 비슷한 이미지 포함 끄면 메모리 & 디스크 캐시 너무 많이 소비하는 문제 해결 (#2274)
    cache_imgs.db 지운 후에 써주세요

- 작업 폴더 다른 드라이브로 변경하지 못하는 문제 해결 (#2256)

- Weibo 다운로드 안 되는 문제 해결 (#2271)

- 다크모드에서 "최대 다운로드 속도" 값 안 보이는 문제 해결 (#2270)

- 일부 PNG 파일 포맷 변환 안 되는 문제 해결 (#2273)

- 기타 자잘한 것들


[변경/추가된 기능]

- PandoraTV 다운로드 (#1532, #1797)

- Twitter Live 다운로드

- Weibo 로그인 쿠키 입력하는 방식으로 변경 (#2271)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
3.0    【Aug 10, 2020】

[버그 해결]

- YouTube 일부 쿼리스트링 인식 못하는 문제 해결 (#2033)

- Twitter 개별 트윗 다운로드 안 되는 문제 해결 (#2035, #2039)

- Torrent 다운로드 시작하지 않는 문제 해결 (#2049)

- Twitch 일부 영상 다운로드 안 되는 문제 해결 (#2050, #2133, #2197)

- nHentai 다운로드 안 되는 문제 해결 (#2053)

- Jmana 다운로드 안 되는 문제 해결 (#2017)

- LHScan 다운로드 안 되는 문제 해결 (#2064)

- #2042

- LHScan 다운로드 안 되는 문제 해결 (#2076, #2079)

- AfreecaTV 5 시간 이상 다운로드 못하는 문제 해결 (#2081)

- MyReadingManga 다운로드 안 되는 문제 해결 (#2103)

- xHamster 새 URL 다운로드 안 되는 문제 해결 (#2104)

- YouTube 일부 채널 다운로드 안 되는 문제 해결 (#2124)

- #2127

- LHScan 다운로드 안 되는 문제 해결 (#2143)

- YouTube 일부 영상 다운로드 안 되는 문제 해결 (#2182)

- xHamster 다운로드 안 되는 문제 해결 (#2208)

- Bilibili 첫 페이지 외 다운로드 안 되는 문제 해결 (#2184)

- Soundcloud 일부 다운로드 안 되는 문제 해결 (#2207)

- 일부 E(x)Hentai 다운로드 안 되는 문제 해결 (#2209)

- Hitomi.la 제대로 다운로드 안 되는 문제 해결 (#2214, #2216, #2219, #2220, #2222, #2223, #2224, #2225, #2229, #2230, #2239)

- Sankaku Complex 사용자 쿠키 인식 안 되는 문제 해결 (#2237)

- Luscious 일부 다운로드 안 되는 문제 해결 (#1958)

- Weibo 다운로드 안 되는 문제 해결 (#2240)

- 기타 자잘한 것들


[변경/추가된 기능]

- Danbooru 다운로드 (#155, #1017, #2074)

- KakaoPage 다운로드 (#2149)

- xHamster 갤러리 다운로드 (#1135, #2002)

- TikTok 계정 다운로드 (#1810)

- Naver TV 다운로드

- M3U8 파일 다운로드

- Naver Blog 동영상 다운로드 (#1838, #1910, #2032)

- 중복 이미지 찾기 WEBP 지원 (#2052)

- 다크 모드
    옵션 - 설정 - 고급 설정 - 다크 모드

- 예전 스크립트 파일 (*.HDS) 미호환 가능성
    인터프리터 Python2 → Python3 로 변경
    위젯 툴킷 PyQt4 → PyQt5 로 변경
    기타 자잘한 것들

- Windows XP 지원 종료

- 암호 저장 형식 바뀜; 예전 암호 미호환

- 쿠키 저장 방식 바뀜; 예전 쿠키 미호환

- 2 바이트 초과하는 유니코드 문자 지원

- Proxy 암호 저장되게 수정

- E(x)Hentai 밴 방지

- 플로팅 미리보기 속도 향상

- "로컬 파일로부터 새작업 만들기" 폴더 여러개 선택할 수 있도록 수정 (#2116)

- E(x)Hentai MPV 주소 지원

- 이미 압축 파일이 있다면 기존 압축 파일에 추가하도록 수정 (#2125)

- 선택된 작업 총 파일 크기 표시

- 쿠키 파일 CRLF 지원 (#2179)

- 종료 시 진행 중인 작업 있으면 경고

- Bilibili 해상도 YouTube 설정을 따르도록 수정 (#2184)

- 불완전한 작업 자동으로 지우지 않도록 수정 (#2150)

- E(x)Hentai 중복된 파일명 보정 (#1094, #1923, #2012)

- E(x)Hentai 이미 다운로드한 파일 스킵

- AfreecaTV 깨진 부분 제외하고 다운로드 (#2193)

- 한 작업 씩 압축하도록 수정

- Pinterest Rate limit 블록 방지

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.8a    【May 30, 2020】

[버그 해결]

- YouTube MP3 앨범아트 삽입 안 되는 문제 해결 (#1816)

- 작업표시줄 진행상황 표시 안 되는 문제 해결 (#1818)

- 토렌트 다운로드 안 되는 문제 해결 (#1837)

- 토렌트 마그넷 주소 클립보드에서 자동 추가 인식 안 되는 문제 해결

- 일부 환경에서 폰트 깨지는 문제 해결 (#1823)

- 일부 트위터 URL 다운로드 안 되는 문제 해결 (#1826)

- E(x)Hentai 압축 안 되는 문제 해결 (#1827, #1889, #1926)

- Pornhub 다운로드 안 되는 문제 해결 (#1842, #1843, #1845, #1846, #1855, #1880, #1897, #1899, #1906, #1919, #1928, #1930, #1941, #1952, #1954, #1963, #1974)

- 2 GB 이상인 파일 진행 표시줄 보이지 않는 문제 해결

- #1828, #1927

- BDSMLR 다운로드 안 되는 문제 해결 (#1862)

- Instagram 일부 환경에서 다운로드 안 되는 문제 해결 (#1489, #1947)

- Facebook 로그인이 필요한 페이지 다운로드 안 되는 문제 해결 (#1869)

- Pixiv Comic 일부 환경에서 다운로드 안 되는 문제 해결 (#1876)

- 유튜브 자막 다운로드 안 되는 문제 해결 (#1879, #1956)

- 클립보드에서 자동 추가 옵션 문제 해결 (#1851, #1904)

- Iwara 문제 해결 (#1924)

- Hiyobi 갤러리 정보 제대로 못 가져오는 문제 해결 (#1926)

- Vimeo 일부 영상 저화질로 다운로드되는 문제 해결 (#1938)

- MyReadingManga 제목 얻지 못하는 문제 해결 (#1944)

- Jmana 다운로드 안 되는 문제 해결 (#1945, #1972)

- Youtube 일부 다운로드 안 되는 문제 해결 (#1909, #1915, #1934, #1936, #1942)

- hanime 다운로드 안 되는 문제 해결 (#1970, #1990)

- YouTube 일부 다운로드 안 되는 문제 해결 (#2004)

- 기타 자잘한 것들


[변경/추가된 기능]

- WikiArt 다운로드

- baraag.net 다운로드 (#1911)

- Hameln 다운로드 (#571, #1360)

- V2ph 다운로드 (#1920)

- YouPorn 다운로드

- Youku 다운로드

- BestJavPorn 다운로드 (#1960)

- KissJav 다운로드 (#595, #1659, #2003)

- #1817

- 클립보드에서 자동 추가 기능 모든 사이트별로 설정할 수 있게 변경

- 시스템 트레이 우클릭 메뉴 수정 (#1830)

- 토렌트 파일 복붙 가능하게 수정

- Pornhub Premium 다운로드 시 로그인 쿠키 없으면 경고 메시지

- 주소바 우클릭 메뉴 "붙여넣고 다운로드" 추가

- Instagram 스토리 다운로드 (#1489, #1844, #1859)

- 중복 이미지 찾기 자동 포커스 (#1790)

- 중복 이미지 찾기 선택한 항목 중에서 자동 선택 기능 (#1881)

- 중복 이미지 찾기 자동 선택 시 빨간색으로 표시되게 수정 (#1790)

- 중복 이미지 찾기 상위 호환 고려 (이미지 정보 새로 캐시)

- Pornhub 해상도 YouTube 설정을 따르도록 수정 (#1569, #1900)

- PSD / PSB 파일 지원

- 페이지 지정 다운로드 기본값 설정 (#1907)

- 프로그램 패스워드 지원 (#1921)

- 페이지 수 필터링 다운로드 목록에도 적용되게 수정

- 이미지 읽는 속도 최적화

- 작업 다시 시작했을 때 정보 얻기 실패하면 이전 내용으로 복구

- Pornhub 현재 지역에 맞는 제목으로 다운로드 (#1968)

- 작업 수정 기능 (#1973)
    마우스 우클릭 - 작업 수정... (F2)

- 로컬 파일로부터 새 작업 만들기 (#1806, #1863)
    작업 - 로컬 파일로부터 새 작업 만들기

- 태그 단축키 (#1989)

- Imgur 연령 제한 포스트 다운로드 (#1995)

- 제목 없는 폴더 처리

- 그룹 태그 지원

- 이미 추가된 작업 다시 추가하면 선택하고 스크롤 (#2010)
    Shift 누르고 다운로드하면 무시하고 추가함

- 저장 중 수정 감지

- 외부 라이브러리 로딩 표시

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.8    【Mar 27, 2020】

[버그 해결]

- 일부 유튜브 영상 다운로드 안 되는 문제 해결 (#1604, #1605, #1608, #1641)

- Pornhub 일부 채널 다운로드 안 되는 문제 해결 (#1616)

- 트위터 다운로드 안 되는 문제 해결 (#1626, #1632)

- LHScan 다운로드 안 되는 문제 해결 (#1637, #1739)

- 마나모아 다운로드 안 되는 문제 해결 (#1647, #1648, #1651, #1652, #1653, #1677, #1678, #1679, #1685, #1711, #1713, #1719, #1720, #1733, #1750, #1785, #1789)

- 일부 사이트 파일 유형 제외 체크하면 다운로드 안 되는 문제 해결 (#1656)

- 유튜브 해상도 표기 기준이 아닌 영상 높이 기준으로 다운로드하는 문제 해결 (#1654)

- Pornhub 다운로드 안 되는 문제 해결 (#1670, #1673)

- 2GB 이상 용량 폴더 압축 안 되는 문제 해결 (#1671, #1741)

- epio.app 일부분 다운로드 안 되는 문제 해결 (#1308, #1696)

- Pixiv 새로운 북마크 URL 인식 못 하는 문제 해결 (#1710)

- 히요비 다운로드 안 되는 문제 해결 (#1748)

- #1697

- 트위터 아주 큰 이미지 낮은 퀄리티로 다운로드 되는 문제 해결 (#1731)

- Vimeo 다운로드 안 되는 문제 해결 (#1747)

- xHamster 다운로드 안 되는 문제 해결 (#1763)

- #1776

- #1780

- Soundcloud 다운로드 안 되는 문제 해결 (#1787, #1795)

- Pornhub Premium 다운로드 안 되는 문제 해결 (#1791)

- Luscious 다운로드 안 되는 문제 해결 (#1798)

- YouTube 일부 한글 유니코드 분리되는 문제 해결

- Twitter 쿠키 넣은 채로 동영상 다운로드 안 되는 문제 해결

- Bilibili 다운로드 못 하는 문제 해결 (#1804)

- 기타 자잘한 것들


[변경/추가된 기능]

- 64bit 프로그램으로 변경 (32bit OS 지원 종료)
    여러가지 메모리 관련 이슈 해결

- 작업 개수 제한 10,000 개로 확장

- 패커 변경

- 자체 웹브라우저 내장

- AsmHentai 다운로드

- Avgle 다운로드 (크롬 확장 프로그램) (#607, #1545, #1619)

- V LIVE 다운로드

- 爱淘美图 다운로드

- Hanime.tv 다운로드 속도 향상

- 프록시 설정 고스트 드라이버에도 적용되게 수정

- 유튜브 MP4 / MP3 개별 지정 다운로드 (#1630)
    주소 입력 - 다운로드 버튼 우 클릭 - `MP4 (동영상)` or `MP3 (음원)` 클릭

- 랜덤으로 하나 선택 (#1364)
    작업 - 랜덤으로 하나 선택

- Instagram 개별 포스트 다운로드 지원 (#1665)

- 글자수 제한 완화 (#1669)

- 설정 파일 (*.ini) 읽는 속도 최적화 (#1663)

- 중복 이미지 찾기 삭제된 파일은 오류 뜨지 않도록 수정 (#1391)

- 중복 이미지 찾기 이미지 정보 캐시하는 기능 (#1391)

- 중복 이미지 찾기 우클릭 메뉴 추가

- 중복 이미지 찾기 자동 선택 기능 (#994)

- 쿠키 불러오는 기능
    옵션 - 설정 - 고급 설정 - 쿠키

- E(x)Hentai 사용자 로그인 지원 (#817, #277, #1048, #1247)

- YouTube 로그인 지원 (#1680)

- Pornhub 플레이리스트 다운로드 (#1610, #1699)

- 플레이리스트 한 폴더에 다운로드 (Youtube, Pornhub, xHamster, Soundcloud) (#1320)
    옵션 - 설정 - 일반 - 플레이리스트 한 폴더에 다운로드

- Pornhub 로그인 방식 변경

- sora1.la URL 지원

- 압축 설정 모든 사이트 지원하도록 수정

- 구글 드라이브 다운로드 오류 메시지 인식

- 검색기 미리보기
    검색 목록에서 우 클릭 - 미리보기

- E(x)Hentai 원본 이미지 다운로드
    옵션 - 설정 - 히토미 / E(x)Hentai / 히요비 설정 - 원본 이미지 다운로드

- Instagram 비공개 계정 지원 (#1729)

- 고스트 드라이버 안정화 (#1742)

- 마나모아 중복된 화 (2) 붙이도록 수정 (#1758)

- 마나모아 Cloudflare DDoS protection 내장 웹브라우저로 우회

- YouTube 파일 형식 물어보기
    옵션 - 설정 - 유튜브 설정 - 파일 형식 물어보기

- MyReadingManga 안정화

- Pixiv Comic 안정화

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.7h    【Jan 23, 2020】

[버그 해결]

- 스트림 영상 제대로 다운로드 안 되는 문제 해결 (#1599)



--------------------------------------------------------------------------------------------------------------------------------------------
2.7g    【Jan 23, 2020】

[버그 해결]

- 스트림 영상 제대로 다운로드 안 되는 문제 해결 (#1599)



--------------------------------------------------------------------------------------------------------------------------------------------
2.7f    【Jan 23, 2020】

[버그 해결]

- 타입에 hitomi_anime 보이는 문제 해결

- 유니코드 / 한국어 로케일이 아닐 경우에 패스워드 저장 안 되는 문제 해결 (#1533)

- Hitomi.la / E(x)Hentai / Hiyobi 페이지 지정 다운로드 파일명 제대로 적용되지 않는 문제 해결 (#1548)

- Pixiv 새 URL 인식하지 못하는 문제 해결 (#1550)

- Hitomi.la 바뀐 URL 대응 (#1558)

- 마나모아 새로운 DDoS protection 대응 (#1566)

- 네트워크 위치에 저장 안 되는 문제 해결 (#1520, #1568)

- 코멘트 대문자 들어갈 경우 검색 안 되는 문제 해결 (#1557)

- Epio 다운로드 안 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- Kakuyomu 다운로드 (#1544)

- 시스템 로케일에 상관 없이 설정 파일 (*.ini) 인코딩 UTF-8 로 통일 (구버전 호환) (#1533)

- 폴더 바로가기 목록 커스텀

- Hanime.tv 다운로드 방식 변경 (#1457)

- Timeout 시간 늘림 (#1566)

- E(x)Hentai 제목 / 일본어 제목 지원 (#855, #1237, #1565, #1583)

- Manamoa 이미지 없는 화 건너뛰도록 수정 (#1589)

- Twitch, Xvideos 다운로드 속도 향상

- Twitter 다운로드 안정화

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.7e    【Jan 2, 2020】

[버그 해결]

- 서버를 자동으로 했을 때 일부분 다운로드 안 되는 문제 해결 (#1355)

- 삭제된 데이터 일부분 미리보기 보이지 않는 문제 해결 (#1358)

- Twitter 개별 트윗 다운로드 시 답글 링크는 다운로드 못 하는 문제 해결

- 마나모아 일부 도메인 다운로드 안 되는 문제 해결 (#1371)

- Pixiv comic 다운로드 안 되는 문제 해결 (#1372)

- MyReadingManga 다운로드 안 되는 문제 해결 (#1477, #1494)

- Pixiv 검색 키워드 불가능한 문자 들어가면 다운로드 안 되는 문제 해결 (#1390)

- 논-아스키코드 문자가 포함된 압축파일 연결프로그램에서 열리지 않는 문제 해결 (#1377)

- 마나모아 일부 화 다운로드 안 되는 문제 해결 (#1386, #1388, #1404, #1411, #1427, #1440, #1449, #1453, #1461, #1468, #1501)

- 대기중인 작업이 많으면 버벅이는 문제 해결

- Windows 10 유니코드 UTF-8 에서 클립보드 복사 시 글자 깨지는 문제 해결

- Hitomi.la 애니메이션 리다이렉트 안 되는 문제 해결

- Hiyobi.me 다운로드 / 검색 안 되는 문제 해결 (#1358, #1426, #1432, #1459)

- 다시 시작할 때 프로토콜 들어간 프록시 호스트 잘못 표시되는 문제 해결

- Twitch 일부 영상 다운로드 안 되는 문제 해결

- Twitch 오디오 없는 부분 잘리는 문제 해결

- 중복 이미지 찾기 폴더 일부분만 읽는 문제 해결 (#1422)

- Luscious 다운로드 안 되는 문제 해결 (#1423)

- Soundcloud 다운로드 안 되는 문제 해결 (#1424)

- Pornhub 일부 채널 다운로드 안 되는 문제 해결 (#1320)

- Pornhub 일부 1080p 다운로드 안 되는 문제 해결 (#1376, #1433)

- Pixiv Rate Limit 일 때 다운로드 안 되는 문제 해결 (#1434, #1450)

- Afreeca 다운로드 안 되는 문제 해결 (#1446)

- Pixiv 검색 다운로드 안 되는 문제 해결 (#1429, #1438)

- DeviantArt 다운로드 안 되는 문제 해결 (#1463)

- 검색기 아이콘 보기 모드에서 썸네일 클릭하면 생기는 문제 해결

- Flickr 다운로드 안 되는 문제 해결 (#1483)

- 트위터 일부 다운로드 실패하는 문제 해결 (#1493)

- 언어가 없는 경우에 그룹 정보를 얻어오지 못하는 문제 해결 (#1500)

- Twitch 클립 다운로드 안 되는 문제 해결

- Jmana 다운로드 안 되는 문제 해결 (#1487, #1502)

- Vimeo 가끔씩 오류 뜨는 문제 해결 (#1504)

- 다음 웹툰 웹툰리그 다운로드 안 되는 문제 해결 (#1505)

- 기타 자잘한 것들


[변경/추가된 기능]

- XNXX 다운로드

- Pornhub 채널 다운로드 (#1320)

- Sankaku Complex Post 다운로드

- imgur.com/r/ 다운로드 (#1498)

- 주소바에 아무것도 입력하지 않고 다운로드 버튼 누르면 자동으로 클립보드에 있는 링크 다운로드하도록 수정

- 안정적인 다운로드를 위해 사이트별 최대 동시 작업 수 제한 (#1470)

- 일부 화만 다운로드한 작업 "파일 삭제" 하면 필요한 경우 일부 폴더만 삭제하도록 수정 (#1415, #1507)

- 히토미 / E(x)Hentai / 히요비 서버 자동으로 선택 시 특정 서버 제외하는 기능 (#1274)
    옵션 (Options) - 설정 (Preferences)... - 히토미 / E(x)Hentai / 히요비 설정 - 서버 - 자동 - 우선순위...

- weibo.cn URL 인식 (#1445)

- French, Spanish 지원 추가

- Twitch & 아프리카TV 다운로드 방식 변경 (#1460)

- 픽시브 북마크 id= 생략하면 자동으로 본인 북마크로 다운로드

- 최대 동시 작업 수 제한 (#1470)

- 스트림 다운로드 안정화

- 트위터 비디오 다운로드 안정화 (#1493)

- 첫 작업 목록 로딩이 모두 완료되면 다운로드 시작 하도록 수정

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.7d    【Oct 31, 2019】

[버그 해결]

- 작가명 복사 안 되는 문제 해결 (#1308, #1348)

- 겔부루 "+" 들어간 태그 다운로드 안 되는 문제 해결

- 픽시브 로그인 안 되는 문제 해결 (#1322, #1332)

- 폰허브 프리미엄 다운로드 안 되는 문제 해결 (#1296, #1335)

- Bilibili 일부 다운로드 안 되는 문제 해결 (#1167, #1343)

- 검색기에서 미리보기 안 보이는 문제 해결 (#1345)

- 히토미 애니 다운로드 안 되는 문제 해결

- #1355

- 기타 자잘한 것들


[변경/추가된 기능]

- "다시 시작" 하면 맨 위로 올리지 않고 제자리에 두도록 수정

- 그룹 기능 (#286, #1313)
    작업 - 새 그룹 만들기

- 그룹 안의 모든 작업 다시 시작 (#1336)

- 작업 목록 아이콘 보기 모드 제거

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.7c    【Oct 22, 2019】

[버그 해결]

- "폴더명 형식" 잘못 파싱하는 문제 해결 (#1243)

- 픽시브 로그인 후 오랫동안 다운로드하지 않으면 다운로드 에러 뜨는 문제 해결 (#1244)

- 제이마나 다운로드 안 되는 문제 해결 (#1250)

- HiDPI 에서 작업이 겹치는 문제 해결 (#1256)

- #1255

- HiDPI 에서 렉 걸리는 문제 해결

- xHamster 다른 도메인 인식하지 못하는 문제 해결 (#1268)

- Pornhub 일부분 다운로드 안 되는 문제 해결 (#1289)

- 로딩 중 응답없음 문제 해결 (#1292)

- 저사양에서 검색 중 플로팅 미리보기 깜빡거리는 문제 해결

- 플로팅 미리보기 사라지지 않고 가끔씩 남아있는 문제 해결

- 히토미 다운로드 안 되는 문제 해결 (#1303)

- 기타 자잘한 것들


[변경/추가된 기능]

- 다음웹툰 다운로드 (#697, #912, #924, #1201)

- imgur 다운로드 (#312)

- 토렌트 다운로드

- 픽시브 제외 태그 (#1244)

- 다운로드 안정화

- 통계 추가
    도움말 - 통계...

- DeviantArt mature content 다운로드 (#1272)

- Pornhub 이미지 & 앨범 다운로드 (#1273)

- 설정 파일 & HDS 파일 구조 변경 (구버전 호환)

- ChromeDriver 위치 변경

- E(x)Hentai Content Warning 무시하고 다운로드

- 트위터 개별 트윗 다운로드

- 트위터 비디오 다운로드 안정화

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.7b    【Sep 29, 2019】

[버그 해결]

- "작가 추천" - "뷰어" 에서 이미지 보이지 않는 문제 해결

- ".." 으로 끝나는 폴더명 문제 해결 (#1236)

- 히토미 일부분 다운로드 안 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 픽시브 검색 필터 더 자세히 적용되도록 수정 (인기순, 오래된 날짜순, 날짜 지정, 북마크 갯수 범위) (#1230)
    픽시브 프리미엄 계정만 적용됨

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.7a    【Sep 27, 2019】

[버그 해결]

- 갤러리 정보 파일 생성 (info.txt) 체크하지 않아도 만들어지는 문제 해결 (#1180, #1197)

- 검색기에서 갤러리 정보 보이지 않는 문제 해결 (#1181, #1224)

- SankakuComplex 에서 파일 유형 제외 적용되지 않는 문제 해결 (#1183)

- E(x)Hentai 에서 파일명 형식을 숫자로 하면 확장자 없이 다운로드 되는 문제 해결

- YouTube 일부분 소리 안 나오는 문제 해결 (#1107, #1194)

- YouTube 다운로드 안 되는 문제 해결 (#1196)

- Hanime 일부분 다운로드 안 되는 문제 해결 (#1175)

- Hanime 썸네일 나오지 않는 문제 해결

- lhscan 다운로드 안 되는 문제 해결 (#1202)

- 폴더명 끝에 "." 이 들어가면 생기는 문제 해결 (#1214, #1222)

- 일부 환경에서 늦게 켜지는 문제 해결 (#1209)

- 픽시브 새 URL 인식 못하는 문제 해결 (#1231)

- 제목에 들어간 "/" 양쪽으로 공백이 늘어나는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 비디오 스트림 다운로드 안정화

- 개별 작업 다운로드 속도 표시

- lang==A?B:C; 폴더명 형식 규칙 추가 (#1197)

- 컴퓨터 종료 시 자동으로 저장하고 종료 (#1197)

- 아이콘 보기 모드 추가
    옵션 (Options) - 보기

- 스크롤 미리보기 추가

- nhentai 에서 폴더명 형식 따르도록 수정 (#1225)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.7    【Sep 7, 2019】

[버그 해결]

- 검색기 페이지 수 필터링 안 되는 문제 해결 (#1047)

- 유튜브 제목 가져오지 못 하는 문제 해결 (#1053, #1104)

- 폴더명 형식에서 0:id 키워드 잘못 작동하는 문제 해결 (#1050)

- 유튜브 일부분 60 FPS 다운로드 안 되는 문제 해결 (#1098)

- DeviantArt 제대로 다운로드 안 되는 문제 해결 (#1099)

- Referer에 Non-ASCII 문자가 들어가면 다운로드 안 되는 문제 해결

- 중복 이미지 찾기에서 일부분 잘못 인식하는 문제 해결 (#1091)

- WorldCosplay 다운로드 안 되는 문제 해결

- XVideos 저화질로 다운로드 되는 문제 해결 (#1137)

- xHamster 다른 도메인 인식하지 못하는 문제 해결 (#1165)

- 트위터 일부 비디오 다운로드 안 되는 문제 해결 (#1028)

- 핀터레스트 다운로드 안 되는 문제 해결 (#1087, #1173)

- 기타 자잘한 것들


[변경/추가된 기능]

- hanime.tv 다운로드 (#1083)

- iwara 다운로드 (#675, #768, #1098)

- xhamster 다운로드 (#1135)

- 티비플 지원 중단

- 다운로더 목록 필터링 '태그 없음' 추가 (#600)

- 코멘트 기능 (#1113)

- 중복 이미지 찾기에서 여러줄 복사 기능 (#1090, #1118)

- 기본 검색 순서 히토미 -> 히요비 -> E(x)Hentai 순으로 변경

- 서버 우선순위 변경 기능 (#1119)
    옵션 (Options) - 설정 (Preferences)... - 히토미 / E(x)Hentai / 히요비 설정 - 서버 - 자동 - 우선순위...

- DeviantArt 다운로드 안 되는 문제 해결 (#1130)

- FFmpeg 에러 뜨는 문제 해결 (#1006, #1136)

- 다시시도해서 Invalid 뜬 작업 폴더 열 수 있도록 수정 (#1113)

- 메모리 최적화

- 트위터 일반적인 방법으론 보이지 않는 오래된 이미지도 다운로드 (#333, #1112, #1028)

- 프록시 설정 재실행해도 유지 (#1156)

- 개별 작업 일시 정지 기능 (#1028, #1101)

- 트위터 트윗에 포함된 twitpic 다운로드 (#1155)

- 트위터 비디오 포함되어있을 경우에도 읽는 속도 빠르게

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.6d    【Jul 27, 2019】

[버그 해결]

- 언어를 바꾸고 스크립트를 가져오면 저장 폴더 콤보박스 텍스트 밀리는 문제 해결

- #847

- Hentai Foundry 필터 문제 해결 (#862)

- 소설가가 되자 이름이 긴 화 다운로드 안 되는 문제 해결 (#863)

- Cloudflare DDoS protection 우회 (#848, #823, #851)

- 제이마나 다운로드 안 되는 문제 해결 (#894, #944, #992)

- Ctrl + 방향키로 작업 순서를 변경하면 정렬 기준을 변경했을 때 반영되지 않는 문제 해결

- 페이스북 일부분 다운로드 안 되는 문제 해결 & 속도 개선

- 트위터 일부 동영상 다운로드 안 되는 문제 해결 (#896, #903)

- 인스타그램 사진과 동영상 섞여있는 게시글 스냅샷으로 다운로드 되는 문제 해결 (#903)

- 니코동 로그인 적용 안 되는 문제 해결 (#878, #886)

- 니코동 팔로우 제한 영상 다운로드 안 되는 문제 해결 (#886)

- #908

- 일부 환경에서 DPI 우회 안 되는 문제 해결 (#917)

- 유튜브 다운로드 안 되는 문제 해결 (#927, #930, #943)

- 네이버 웹툰 다운로드 안 되는 문제 해결 (#939)

- 트위치 제목이 "." 으로 끝나면 비정상 작동하는 문제 해결 (#958)

- #972

- 산카쿠컴플렉스 다운로드 안 되는 문제 해결 (#980, #981)

- 히토미 파일 깨지는 문제 해결 (502 Bad Gateway) (#1024, #1025)

- 클립보드 자동 추가 멈추는 문제 해결 (#1021)

- 기타 자잘한 것들


[변경/추가된 기능]

- 코믹워커 다운로드 (#890)

- 소설가가되자 수정된 날짜 표시 (#845)

- 중복 이미지 찾기 미리보기 크기 변경 (#871)

- PhantomJS 위치 변경 (#888)

- 잘못된 한글 태그 수정 (#898)

- 기본 데이터 다운로드 속도 개선

- 겔부루 다운로드 제한 늘림 (#1017)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.6c    【May 16, 2019】

[버그 해결]

- #741

- 폰트 문제 해결 (#738)

- 아트스테이션 다운로드 안 되는 문제 해결 (#748, #773, #794, #807)

- 히요비 다운로드 안 되는 문제 해결 (#758)

- 히토미 애니메이션 다운로드 안 되는 문제 해결 (#763)

- 유튜브 다운로드 안 되는 문제 해결 (#780, #799, #818)

- #788

- 제이마나 다운로드 안 되는 문제 해결 (#808)

- 니코동 프리미엄 계정 적용되지 않는 문제 해결 (#793, #805)

- XP에서 유튜브 변환 안 되는 문제 해결 (#818)

- 유튜브 채널 일부부만 다운로드 되는 문제 해결

- #831

- XVideos 다운로드 안 되는 문제 해결

- 픽시브 코믹 WEBP로 다운로드 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- Hentai Foundry 다운로드 (#256, #593, #743, #812)

- 낮토끼 지원 중단

- 중국어 추가 (#738)

- 익스플로러 잘못된 URL 지원 (#786)

- 마나모아 오래된 URL 리다이렉트

- #823

- 유튜브 https://www.youtube.com/playlist?list=xxxxxxx 만 플레이리스트 다운로드하도록 수정 (#827)

- 메모리 최적화

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.6b    【Apr 15, 2019】

[버그 해결]

- 히토미 다운로드 안 되는 문제 해결 (#700, #703, #706, #714, #715, #717, #718, #719, #720, #733)

- 픽시브 다운로드 안 되는 문제 해결 (#701)

- 마나모아 이미지 없는 화 실패하는 문제 해결 (#710)

- 마나모아 일부분 다운로드 안 되는 문제 해결 (#731)

- 프로그램 경로에 한글이나 특수문자가 들어가면 [브라우저로 보기] 기능이 작동하지 않는 문제 해결

- 히요비 다운로드 안 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 망가쇼미 지원 중단

- 마나모아 새로운 도메인 지원 (#712)

- #698

- #709

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.6a    【Apr 7, 2019】

[버그 해결]

- 작가 추천 기능 작동하지 않는 문제 해결 (#588)

- #556, #574

- 도움말 - 정보 나오지 않는 문제 해결

- #578

- 네이버 웹툰 컷툰 다운로드 안 되는 문제 해결 (#576)

- PDF 생성 안 되는 문제 해결 (#582)

- PDF 생성 중 작업을 삭제하면 멈추지 않는 문제 해결

- 히토미 일부분 다운로드 안 되는 문제 해결 (#555, #610, #619, #622)

- 히요비 다운로드 안 되는 문제 해결 (#603)

- 제이마나 일부분 다운로드 안 되는 문제 해결 (#605)

- 픽시브 움짤 일부 변환 안 되는 문제 해결(#611)

- 네이버 블로그 _blur 붙는 문제 해결 (#612)

- Goodbyedpi 프로세스 남아서 실행되지 않는 문제 해결 (#619)

- ; 들어간 URL 다운로드 안 되는 문제 해결 (#623)

- 망가쇼미 다운로드 안 되는 문제 해결 (#624, #626)

- 플로팅 미리보기 크기 문제 해결 (#633)

- E(x)Hentai 다운로드 안 되는 문제 해결 (#638, #640, #643, #661)

- 설정 저장 오류 해결 (#647)

- 페이지 지정 다운로드 창 읽는 중 닫으면 프로그램 종료되는 문제 해결

- #673

- 네이버 웹툰 스마트툰 다운로드 안 되는 문제 해결 (#679)

- 유튜브 60FPS 다운로드 안 되는 문제 해결 (#683)

- 픽시브 다운로드 안 되는 문제 해결 (#686)

- 기타 자잘한 것들


[변경/추가된 기능]

- 트위치 다운로드 (#652)

- 픽시브 키워드 다운로드 (#602)

- 마나모아 다운로드 (#669)

- 다운로드 속도 표시

- 최대 다운로드 속도 설정
    옵션 - 설정 - 고급 설정 - 최대 다운로드 속도

- 네이버 웹툰 선택 화 다운로드 (#576)

- 이미지 읽기 속도 향상

- PDF 스킵 (#585)

- 설정 저장 중 예기치 않게 종료 된 경우에, 다시 실행할 때 설정 파일 복구 (#598)

- 태그명 설정 (#600)

- 망가쇼미 IP 주소 지원 (#642)

- 음악 파일 앨범아트 지원 (#644)
    옵션 - 설정 - 고급 설정 - 음악 파일에 앨범아트 삽입

- 잠금 기능 (#646)

- 저장이 필요할때만 묻도록 수정 (#654, #667)

- #684

- #689

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.6    【Feb 24, 2019】

[버그 해결]

- 망가쇼미 이미지 잘리는 문제 해결 (#460)

- 히토미 검색기 기본데이터 다운로드 안 되는 문제 해결 (#463, #466, #476, #479, #493, #494)

- 소설가가 되자 단편 다운로드 안 되는 문제 해결 (#464)

- info.txt 압축파일에 포함되지 않는 문제 해결 (#471)

- 픽시브 움짤 많으면 실패하는 문제 해결 (#475)

- 유튜브 일부 플레이어에서 소리 인식하지 못하는 문제 해결 (#480)

- 망가쇼미 Timeout 문제 해결 (#488)

- 망가쇼미 프록시 적용되지 않는 문제 해결 (#502)

- 망가쇼미 ? 포함된 주소의 파일 다운로드 안 되는 문제 해결

- #522

- 망가쇼미 가장자리 검은줄 생기는 문제 해결 (#538)

- 비리비리 다운로드 안 되는 문제 해결 (#536)

- 니코동 일부 환경에서 다운로드 안 되는 문제 해결 (#544)

- 섬네일 드래그 문제 해결 (#553)

- 일부 환경에서 StackHash_0a9e 오류 뜨는 문제 해결 (#554)

- 히요비 다운로드 안 되는 문제 해결 (#555)

- 제이미나 다운로드 안 되는 문제 해결 (#560)

- 마리망 다운로드 안 되는 문제 해결 (#562)

- 기타 자잘한 것들


[변경/추가된 기능]

- #458

- 압축파일 연결 프로그램 설정 (#489)
    옵션 - 설정 - 고급 설정 - 압축파일 연결 프로그램

- 작업 목록 정렬 기능 (#491)

- [첫 번째 파일 열기] 할 때 원본 파일이 삭제된 경우 압축 파일 열리게 수정

- 망가쇼미 새 도메인 지원 (#513)

- [다시 시작] 할 때 지워진 파일 제외하고 다운로드 (#458, #519)

- 마리망 여러 화 있는 작품 다운로드 (#520)

- 자동으로 관리자 권한으로 실행 시도 (DPI 우회 시 필요)
    DPI 우회가 필요 없다면 취소하고 실행하셔도 됩니다

- DPI 우회 (Windows7 이상) (#515)
    옵션 - 설정 - 고급 설정 - DPI 우회

- 플로팅 미리보기 CPU 사용량 최적화

- 작업표시줄 색 표시 방식 변경 (#553)

- 중복 실행 시 먼저 실행된 프로그램 띄우기 (#553)

- 부팅 시 실행 (#553)
    옵션 - 설정 - 고급 설정 - 부팅 시 실행

- 다운로드 시 404 Not Found 뜨면 한번 더 시도하도록 수정

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.5d    【Feb 3, 2019】

[버그 해결]

- 망가쇼미 일부 다운로드 안 되는 문제 해결 (#397)

- 일부 환경에서 한글 폰트 깨지는 문제 해결 (#406)

- 이미지 크기 조절 문제 해결 (#409)

- 이미지 크기 조절 후  변경된 파일 크기가 반영되지 않는 문제 해결

- 망가쇼미 NEW 붙은 화 다운로드 안 되는 문제 해결 (#417)

- 망가쇼미 NEW 붙는 문제 해결 (#421)

- 유튜브 일부 다운로드 안 되는 문제 해결 (#425, #444)

- 히요비 다운로드 안 되는 문제 해결

- 인스타그램 제대로 다운로드 안 되는 문제 해결 (#429)

- 저장 폴더명 오류 해결 (#430)

- 제이마나 작가명 잘못 인식하는 문제 해결 (#433)

- 히토미 애니메이션 다운로드 안 되는 문제 해결

- E(x)Hentai Lo-Fi 갤러리 인식하지 못하는 문제 해결

- 사용자 이름에 한글이나 특수문자가 들어갔을 때 유튜브 / 우고이라 등 변환되지 않는 문제 해결 (#437)

- weibo 일부 주소 인식하지 못하는 문제 해결 (#445)

- lhscan 불안정한 문제 해결

- 망가쇼미 최신화 제대로 다운로드되지 않는 문제 해결 (#448, #451)

- 히요비 다운로드 안 되는 문제 해결 (#449)

- 검색기 기본 데이터 다운로드 안 되는 문제 해결 (#452, #453)

- 기타 자잘한 것들


[변경/추가된 기능]

- 소설가가 되자 다운로드 (#411)

- 망가록 다운로드

- 히요비 non-h 지원 중단

- 이미지 포맷 변환 (#409)
    옵션 - 설정 - 고급 설정 - 이미지 포맷 변환

- 비리비리 고화질 다운로드 (#418)

- 비리비리 다운로드 속도 개선

- 비리비리 플레이리스트 다운로드 (#418)

- 사이트 별 저장 폴더 지정 (#423)

- 유튜브 음원 다운로드 음질 조정 (#21)
    옵션 - 설정 - 유튜브 - 음질

- 유튜브 변환 속도 향상 (#425, #444)

- 히토미 애니메이션 다운로드 속도 개선

- PDF 생성 (#399, #441)
    옵션 - 설정 - 고급 설정 - PDF 생성

- 유튜브 자막 다운로드 (#444)
    옵션 - 설정 - 유튜브 - 자막

- 동영상 파일도 섬네일 보이게 수정

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.5c    【Jan 9, 2019】

[버그 해결]

- 텍스트 필드 실행 취소 / 다시 실행 문제

- 네이버 블로그 blog.me 형식의 주소 인식하지 못하는 문제 해결

- 제이마나 다운로드 안 되는 문제 해결 (#371)

- 유튜브 다운로드 안정화

- 다운로더 목록에서 섬네일 드래그 & 드롭 시 파일명에 한글이나 특수문자가 들어가면 동작하지 않는 문제 해결

- 유튜브 변환 중 종료할 경우 FFmpeg 프로세스가 남는 문제 해결

- 망가쇼미 다운로드 안 되는 문제 해결 (#369, #370)

- 유튜브 프록시 적용되지 않는 문제 해결

- 파이어폭스 웹브라우저에서 [브라우저로 보기]가 동작하지 않는 문제 해결

- FFmpeg 초기화 문제 해결

- 산카쿠컴플렉스 일부 환경에서 다운로드 안 되는 문제 해결 (#380)

- 제이마나 다운로드 안 되는 문제 해결 (#378)

- 산카쿠컴플렉스 & 들어가는 태그 다운로드 안 되는 문제 해결 (#382)

- 히토미 일부 삭제된 갤러리 다운로드 안 되는 문제 해결

- 미리보기 체크하지 않고 검색했을 때 이미 다운로드한 작품 표시하지 못하는 문제 해결

- 작업 추가할 때 프로그램이 프리징 되는 문제 해결

- 경로에 한글이나 특수문자 있으면 작업 정보를 볼 수 없는 문제 해결 (#367, #379)

- 페이지 지정 다운로드 문제 해결 (#389)

- #367

- #389

- 기타 자잘한 것들


[변경/추가된 기능]

- 저장할 때 주소 입력창 텍스트도 저장

- 유튜브 / 비메오 / 폰허브 / XVideos / 니코동 다운로드 성능 향상

- 제이마나 이미 다운로드한 화 스킵

- 제이마나 선택 화 다운로드

- 제이마나 폴더명 형식 변경

- 망가쇼미 폴더명 형식 변경

- 인스타그램 XP에서도 동작하도록 수정 (#362)

- 유튜브 XP에서도 동작하도록 수정 (#358)

- 픽시브 움짤 품질 & 성능 향상

- Win10 미만에서 픽시브 움짤 WEBP 지원

- 대기 중인 작업도 타입 표시

- 망가쇼미 개별화 주소 넣으면 해당 화만 다운로드 (#366)

- 드래그 & 드롭으로 작업 순서 변경할 때 내용 보이게 수정

- 망가쇼미 폴더명 형식 설정 (#372, #375)

- [다시 시작] 했을 때 대기 중에도 폴더 열거나 삭제 가능하게 수정

- 태그 기능

- #398

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.5b    【Dec 17, 2018】

[버그 해결]

- #310, #311, #320, #324

- 데비안아트 다운로드 안 되는 문제 해결 (#342)

- 유튜브 MP3 다운로드 안 되는 문제 해결

- 자동 저장 10배 빠르게 되는 문제 해결

- 제목이 없는 갤러리 에러 뜨는 문제 해결 (#328)

- E(x)hentai 일부 이미지 다운로드 안 되는 문제 해결

- 저장 폴더가 상대 경로이고 다운로드 중 폴더 / 파일 선택창을 탐색할 경우, 저장 경로가 어긋나는 문제 해결

- 니코동 다운로드 안 되는 문제 해결

- HiDPI 문제

- 인스타그램 확장자 문제 해결 (#349)

- 핀터레스트 다운로드 안 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- nhentai 다운로드

- 마리망 다운로드

- Pawoo 다운로드 (#341)

- 망가쇼미 다운로드

- 마루마루 지원 중단

- 밤툰 지원 중단

- 네이버 블로그 원본 이미지 다운로드 (#318)

- 사운드클라우드 Tracks / Playlists 다운로드

- 업데이트 체크 안정화

- 단일 파일 다운로드 메시지 제거

- 여러 작업 선택 시 빠른 도구 제공

- 숨김 키
     옵션 - 설정 - 고급 설정 - 숨김 키

- 선택 화 다운로드 (#330, #334, #345)
    도움말 - 사용법... (F1) - 선택 화 다운로드 참고

- 히토미 Redirect 대응

- 이미 다운로드한 화 스킵

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.5a    【Nov 23, 2018】

[버그 해결]

- 폴더명 형식 문제 해결 (#248)

- 폴더명 길이가 255를 초과하면 다운로드되지 않는 문제 해결 (#260, #272)

- 대문자 북마크 문제 해결

- 히요비 다운로드 안 되는 문제 해결 (#270, #285)

- 다른 작업 다운로드 도중 리캡챠 풀지 못하는 문제 해결 (#251)

- 갤부루 다중 태그 다운로드 안 되는 문제 해결 (#266)

- #268

- 자동 업데이트 진행 안 되는 버그 해결

- URL 내에 maru_ 등이 들어있을 때 생기는 문제 해결 (#278, #285, #288)

- 산카쿠 컴플렉스 일본어 페이지 인식 안 되는 문제 해결

- 비리비리 페이지 있는 영상 다운로드 안 되는 문제 해결 (#52)

- 다운로드 파일이 0 개일 경우 info 파일 생성되지 않는 문제 해결 (#283)

- E(x)hentai 특정 페이지 링크를 다운로드 시도하면 일부분만 다운로드되는 문제 해결 (#212)

- reCAPTCHA 풀리지 않는 문제 해결 (#289, #292)

- 유튜브 일부 영상 다운로드 안되는 문제 해결 (#306)

- E(x)hentai 다운로드 중 삭제할 때 파일 일부분 남는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 검색 순서 변경 (#245)
    검색기 - 옵션 - 검색 순서

- 다운로드 날짜 표시 (#265)
    옵션 - 설정 - 고급 설정 - 다운로드 날짜 표시

- 픽시브 움짤 스킵 (#273)

- 느린 네트워크 환경 대응 (응답 대기 시간 변경: 12초 -> 36초)

- 다운로드 완료 후 자동 제거 (#232)
    옵션 - 설정 - 고급 설정 - 다운로드 완료 후 자동 제거

- 검색기 아이콘 보기 모드에서도 이미 다운로드한 작품 표시

- 검색기 아이콘 보기 모드에서도 갤러리 넘버 보이게 수정

- E(x)hentai 이미 다운로드 된 파일 스킵

- 유튜브 해상도 선택 (#21, #207, #221, #295)
     옵션 - 설정 - 유튜브 - 해상도

- 브라우저로 보기
    서브 폴더 별로 페이지 만들도록 변경

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.5    【Sep 28, 2018】

[버그 해결]

- 인스타그램 이름 없는 경우 다운로드 안 되는 문제 해결 (#184)

- 유튜브 일부 MP3 다운로드 안 되는 문제 해결 (#186)

- https://www.deviantart.com/*/ 형식의 갤러리 다운로드 안 되는 문제 해결 (#191)

- 데비안아트 일부 갤러리 다운로드 안 되는 문제 해결 (#204)

- 데비안아트 이름을 얻지 못했다고 뜨는 문제 해결

- 긴 북마크가 지워지지 않는 문제 해결

- 검색기 검색 중 플로팅 미리보기 깜빡이는 문제 해결

- 산카쿠 컴플렉스 Non-ASCII URL 인식 못하는 문제 해결

- 언어 변경할 때 다운되는 문제 해결

- 일부 컴퓨터에서 인스타그램 다운로드 안 되는 문제 해결 (#209)

- 티비플 파일 확장자 잘못되는 문제 해결

- 겔부루 특수문자 들어간 태그 다운로드 안 되는 문제 해결 (#217)

- 간단 검색에서 Enter 눌러서 검색했을 때 두번 연속 검색되는 문제 해결

- 트위터 일부 동영상 다운로드 안 되는 문제 해결 (#219)

- 유튜브 일부 다운로드 안 되는 문제 해결 (#235)

- ExHentai 다운로드 안 되는 문제 해결

- E(x)Hentai 일부 갤러리 다운로드 안 되는 문제 해결 (#223)

- E(x)Hentai 일부 파일 다운로드 안 되는 문제 해결 (#236)

- 비메오 일부 동영상 다운로드 안 되는 문제 해결

- 비리비리 제목 오류 문제 해결

- #238

- 기타 자잘한 것들


[변경/추가된 기능]

- 네이버 웹툰 다운로드 (#185)

- 히요비 다운로드

- 마나스페이스 지원 중단

- 스크립트 (#206)
    메뉴 - 스크립트...
    도움말 - 사용법... (F1) - 스크립트 참고

- 검색기 제목 목사 (#188)

- 작가 합쳐서 불러오기 (#113)
    검색기 - ★ - 작가 합쳐서 불러오기

- 산카쿠 컴플렉스 페이지 제한 없앰 (#189, #190)

- 검색기 목록 보기 모드에서, 오른쪽 방향키로도 [다운로드 & 삭제] 할 수 있도록 수정 (#196)

- 검색기 아이콘 보기 모드에서, 마우스를 올리면 정보가 보이게 수정

- 검색기 아이콘 보기 모드에서, 선택한 항목이 잘 구별되게 수정

- 데비안아트 플래시 다운로드

- 픽시브 / 트위터에서 이미 다운로드 했지만 닉네임 변경으로 폴더명이 일치하지 않는 경우 새 폴더명으로 변경해서 다운로드

- 파일 유형 제외 (#228)
    옵션 - 설정 - 고급 설정 - 파일 유형 제외

- 이미 다운로드한 작품 검색기 검색 결과에서 표시 (#211, #232)

- 검색기 목록 필터에 "done:" 추가
    도움말 - 사용법... (F1) - 검색기 목록 필터링 참고

- 단일 파일 사이트 최대 동시 8개 다운로드 (Youtube, Niconico, etc.)

- 중복 이미지 찾기
    메뉴 - 중복 이미지 찾기...

- 작업들 내보내기 / 가져오기
    파일 - 선택된 작업들 내보내기 / 작업들 가져오기

- 다운로더 목록 순서 변경 ([Ctrl + Home], [Ctrl + End])
    도움말 - 사용법... (F1) - 다운로더 목록 순서 변경 참고

- 동영상 파일명 형식 (#233)
    옵션 - 설정 - 유튜브 - 파일명 형식

- 자동 저장 (#242)
    옵션 - 설정 - 고급 설정 - 자동 저장

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.4    【Aug 2, 2018】

[버그 해결]

- 다운로더 목록에서 작업을 선택하고 다른 곳으로 스크롤 한 뒤에 새로 작업을 추가하거나 다른 작업의 제목이 바뀌면 선택한 작업으로 스크롤 되는 문제 해결

- 일부 컴퓨터에서 유튜브 다운로드 안 되는 문제 해결 (#149)

- 일부 컴퓨터에서 픽시브, 마루마루 다운로드 안 되는 문제 해결 (#73, #133, #149, #167)

- 파일 다운로드 안 되는 문제 해결

- 다운로드 버튼에 마우스 올리면 버벅이는 문제 해결

- 일부 컴퓨터에서 폰트 깨지는 문제 해결 (#147)

- E(x)hentai 다시 시작하면 404 Not Found 뜨는 문제 해결 (#177)

- 니코동 "nicovideo.jp/watch/so000000" 형식의 주소 인식하지 못하는 문제 해결

- 다운로더 필터를 킨 후에 목록 내용이 바뀌었을 때 반영되지 않는 문제 해결

- 트위터 동영상 다운로드 안 되는 문제 해결 (#172)

- 유튜브 일부 동영상 720p 미만으로 다운로드 되는 문제 해결 (#176)

- 태그 자동완성 순서 잘못되는 문제 해결

- 일부 제목 깨지는 문제 해결 (#179)

- 일부 미리보기 안 보이는 문제 해결 (#179)

- E(x)hentai 최근 갤러리 넘버 찾지 못하는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 산카쿠 컴플렉스 다운로드 (#109, #120, #155)

- 사운드클라우드 다운로드

- 작가나 그룹이 둘일 경우 생략하지 않고 모두 표시하도록 수정 (#148)

- 다운로드 대기 중인 것도 중복 체크 (#150)

- 다운로더와 검색기를 작업표시줄에 서로 다른 창으로 표시되게 수정 (#151)

- 마루마루 오래된 만화 로딩 더 빠르게

- 목록에서 몇 개 선택했는지 표시 (#153)

- 북마크 버튼 토글로 동작하게 바꿈 (#153)

- 검색기에서 링크 여는 기능 (#153)

- HiDPI 관련

- 메뉴 한글화 안 된 부분 고침

- 키패드 Enter도 인식하게 수정 (#159)

- 클립보드에서 자동 추가 사이트 선택 (#159)

- 다운로더 목록 필터에 "bad:" 추가
    도움말 - 사용법... (F1) - 다운로더 목록 필터링 참고

- 압축과 원본 폴더 삭제를 체크하고 다운로드 할 때, 이미 다운로드된 것 스킵 (#47, #62, #161)

- [50개씩 끊어서 검색]을 체크하지 않았을 경우에 1000 개 씩 끊어서 검색하도록 수정

- 다운로더 목록 순서 변경 (#159)
    도움말 - 사용법... (F1) - 다운로더 목록 순서 변경 참고

- 검색기 목록 필터링 (#161, #178)
    도움말 - 사용법... (F1) - 검색기 목록 필터링 참고

- 픽시브 &type= 인식 (#167)

- 일시 정지 기능 (#170)

- 'dup:'으로 다운로더 목록 필터링할 때, 중복된 것이 하나만 남게 되면 자동으로 목록에서 사라지게 바꿈 (#170)

- 미리보기 크기 조절 (#174)

- 검색기 아이콘 보기 모드
    검색기 - 옵션 - 보기

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.3d    【Jul 6, 2018】

[버그 해결]

- 폴더 형식의 / 가 인식되지 않는 문제 해결 (#143)

- 검색기 기본 데이터 다운로드 안 되는 문제 해결 (#144, #146)

- 다중모니터 환경에서 플로팅 미리보기가 제대로 동작하지 않는 문제 해결 (#142)

- 기타 자잘한 것들


[변경/추가된 기능]

- 다운로더 목록 필터링을 켜고 끌 때 선택된 작업이 유지되게 수정

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.3c    【Jul 4, 2018】

[버그 해결]

- 여러개 한꺼번에 추가할 때 버벅이는 문제 완화

- 403 Forbidden 다운로드 안 되는 문제 해결 (#141)

- 기타 자잘한 것들


[변경/추가된 기능]

- 마나스페이스 암호 걸린 만화 다운로드

- 검색기 데이터 언제 받았는지 표시하고 일주일 이상 오래됐다면 알려주도록 수정

- 작가 추천 기능에서, 표지 볼 수 있는 기능
    결과 화면에서 [Viewer...]

- 검색기 중복 제거 기능에서 작가 이름이 같을 때만 중복으로 판단하도록 변경 (#138)

- 검색기 갤러리 넘버 복사 (#138)

- 다운로더 창에서 Ctrl + Tab 으로 툴 켜고 끄기

- 다운로더 목록에서 태그로 필터링 (#135)
    도움말 - 사용법... (F1) - 다운로더 목록 필터링 참고

- CBZ 압축 (#139)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.3b    【Jun 21, 2018】

[버그 해결]

- 마루마루 다운로드 안 되는 문제 해결 (#123, #124)

- 압축파일 경로가 이상하게 되는 문제 해결

- 유튜브 섬네일 안 보이는 문제 해결

- E-Hentai 일부 갤러리 다운로드 안 되는 문제 해결

- 잘못된 작업을 완료됨으로 표시할 때 에러 뜨는 문제 해결

- 검색기 기본 데이터 다운로드 안 되는 문제 해결 (#131)

- 기타 자잘한 것들


[변경/추가된 기능]

- 마나스페이스 다운로드 (#129)

- 파일 다운로드
    예:
        file_https://hitomi.la/logo.png

- 플로팅 이미지 크기 조절 (옵션 - 설정 - 일반 - 플로팅 미리보기)

- 검색기 중복 제거 (검색기 - 옵션 - 중복 제거) (#106)

- 디스크 공간 부족시 경고

- 목록 저장 / 불러오기 속도 향상

- 디스크 공간 부족 또는 다른 이유로 목록을 저장 못할 시 경고 메시지

- 작업표시줄에서 진행 상황 보이게 (Windows 7 이상)

- 도움말 - 정보 & 버전 확인 & 통계 하나로 합침

- 끊어서 검색하는 기능 (검색기 - 옵션 - 끊어서 검색) (#42)

- E-Hentai 좀 더 안정적으로 다운로드하게 수정 (#126)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.3a    【Jun 7, 2018】

[버그 해결]

- "저장 폴더에 있는 모든 갤러리 넘버 복사" 기능이 압축파일을 인식하지 못하는 문제 해결 (#96)

- 작가 추천 기능에서 압축파일로 된 갤러리를 인식하지 못하는 문제 해결 (#96)

- 폴더명 형식에 "/" 가 들어가면 인식하지 못하는 문제 해결 (#92, #98, #104)

- #101

- 메모리 사용량 ERR 뜨는 문제 해결 (#118)

- 작가 이름 소문자로 되는 문제 해결 (#97)

- 핀터레스트 다운 안 되는 문제 해결 (#84)

- 겔부루 다운로드 안 되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 자동 업데이트

- 픽시브 움짤 WEBP 변환

- 유튜브 채널 / 플레이리스트 다운로드 (#107)

- 픽시브 태그 필터링

- 작가 추천 기능에서, 소괄호 또는 대괄호 안에 숫자가 들어있기만 하면 인식 되도록 수정 (#113)

- 작가 추천 기능에서, 목록을 저장하고 불러오는 기능 (#95)

- 마루마루 이미 다운로드 된 화 스킵 (#105)
    제대로 다운되지 않은 화가 있다면 해당 화 폴더를 삭제하고 다시 시도해주세요

- 갤러리 넘버 복사 더 빠르게

- 검색기 - 고급 검색에서 검색 범위 수치 직접 입력할 수 있게 수정 (#103)

- 북마크 이름 순 정렬 (#115), 초기화

- 히토미 제외 태그 (#110)
    옵션 - 설정 - 히토미 - 제외 태그

- 검색기 태그 번역

- 완료됨으로 강제 설정하는 기능 (#116)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.3    【May 8, 2018】

[버그 해결]

- 밤토끼 메인 페이지 입력할 시 오류 뜨는 문제 해결

- 밤토끼 한글 URL 인식 못하는 문제 해결 (#74)

- 프로그램 종료 후 프로세스가 종료되지 않고 남아있는 문제 해결

- 마루마루 작가명을 읽지 못하는 문제 해결

- and가 들어간 단어를 제목 검색하면 오류 뜨는 문제 해결

- HiDPI에서 통계 항목이 작게 보이는 문제 해결

- 인스타그램 다운로드 안 되는 문제 해결 (#83, #87)

- 제목에 by 들어가면 뒷부분 잘리는 문제 해결

- 유튜브 다운로드 실패 줄임

- 폴더명 형식에 0:id와 id가 동시에 들어가면 폴더 이름이 이상하게 되는 문제 해결

- Bilibili 제목을 제대로 읽지 못하는 문제 해결

- Color table 가진 이미지가 섬네일에서 깨지는 문제 해결

- 윈도우 10 UTF-8 인코딩 관련 오류 해결 (#86)

- 기타 자잘한 것들


[변경/추가된 기능]

- 플리커 다운로드 (#77)

- ArtStation 다운로드

- 니코동 다운로드

- 핀터레스트 다운로드 (#84)

- 머신러닝 기반 작가 추천 기능 (메뉴 - 작가 추천...)

- 통계에서 점수 열 없앰

- 목록에서 제거할 때도 확인 창 뜨도록 수정

- 이미 존재하는 단일 동영상 파일 다운로드 하지 않게 수정

- 다운로더 목록 필터링 기능 추가 ([사용법...(F1)] 참고)

- 설정 - 히토미 - 갤러리 정보 텍스트 파일로 저장 (#79)

- '클립보드에서 자동 추가' 첫번째 링크 다운로드 생략되지 않게 수정

- 검색기 검색어에서 Korean, English 등 언어도 자동완성 되게 수정

- 태그 자동완성에서, "male:" 을 입력하면 "female:" 을 제외하고 보이게 수정

- 간단 검색에서 N/A인 언어 검색 가능 ([사용법...(F1)] 참고)

- "다운로드가 완료되면 알림" 기능 삭제

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.2b    【Mar 30, 2018】

[버그 해결]

- 히토미 애니메이션 삭제되지 않는 문제 해결

- 특정 상황에서 '첫번째 이미지 열기' 가 작동하지 않는 문제 해결

- 일부 컴퓨터에서 reCAPTCHA 뚫기가 제대로 동작하지 않는 문제 해결

- 밤토끼 다운로드 안되는 문제 해결 (#66)

- 마루마루 동시에 다운로드 시 섞여서 다운로드 되는 문제 해결 (#65)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.2a    【Feb 22, 2018】

[버그 해결]

- 이미 다운로드 완료된 것도 무조건 덮어씌우는 문제 해결

- wasabisyrup, shencomics, yuncomics 주소를 입력했을 때 실패하는 문제 해결

- 종료 후 일정시간동안 다시 실행이 안되는 문제 해결

- 클립보드에서 자동 추가 기능이 작동하지 않는 문제 해결 (#53)

- 제목 검색 안되는 문제 해결 (#50)

- 검색기를 많이 사용하면 프로그램이 작동 중지되는 문제 해결 (메모리 누수 문제) (#54)

- 기타 자잘한 것들


[변경/추가된 기능]

- 마루마루 한글 캡차 지원 (수동) (#57)

- 간단 검색 ([사용법...(F1)] 참고)

- 사이트 별 압축 설정 (설정 - 압축)

- 자동완성 매칭 방식 변경

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.2    【Feb 11, 2018】

[버그 해결]

- 검색기 속도, 버벅임 개선 (#42)

- 다운로더 버벅임 개선

- https://www.pixiv.net/member.php?id=xxxxxx 형식의 주소 인식 못하는 문제 해결 (#43)

- E-Hentai, ExHentai 조금 더 안정적으로 받게

- 폴더 이름이 "."으로 끝나면 다운로드 안되는 문제 해결

- 비메오 가끔 오류 뜨는 문제 해결

- 마루마루 빈 페이지 reCAPTCHA로 잘못 인식하는 문제 해결

- 유튜브 다운로드 안되는 문제 해결 (패턴 업데이트)

- reCAPTCHA 뚫기 안되는 문제 해결

- reCAPTCHA 뚫는 도중 종료하면 프로그램을 다시 킬 수 없는 문제 (브라우저가 정상적으로 종료되지 않는 문제) 해결

- reCAPTCHA 브라우저 첫 실행에서 에러 뜨는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 이미지 읽을 때 메모리/속도 개선

- 픽시브 GIF 변환 메모리/속도 개선

- 불완전한 작업 자동으로 다시 시작하는 기능 (고급 설정 - 불완전한 작업 자동으로 다시 시작) (#41)

- 파일 크기가 0일 때 다시 시도

- Access denied 떴을 때 다시 시도

- Cloudflare 우회

- Trend Micro 우회

- and, or, not, ",", +, - 같은 예약어가 들어간 단어를 자동완성하면 큰따옴표 붙게 수정 (예: spice and wolf --> "spice and wolf")

- and, or, not, ",", +, - 같은 예약어가 들어가지 않은 단어를 복사하면 큰따옴표 붙지 않게 수정 (예: "heroes of the storm" --> heroes of the storm)

- wasabisyrup, shencomics, yuncomics 입력해도 되게 수정

- Finder에서 갯수 많은 순으로 정렬

- 이미지 최대 크기 지정 (#44)

- 페이지 지정 다운로드 (#44)

- 마루마루 선택 화 다운로드

- 겔부루 다운로드

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.1b    【Jan 23, 2018】

[버그 해결]

- 히토미 다운로드 제대로 안되는 문제 해결 (#31, #32, #39, #40)

- 바이러스 오진 줄임 (#27, #31, #34, #38)

- 일부 컴퓨터에서 검색기 섬네일 안 보이는 문제 해결 (#32)

- 기타 자잘한 것들


[변경/추가된 기능]

- 마루마루 중간에 404페이지 끼어있으면 건너뜀 (#36)

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.1a    【Jan 21, 2018】

[버그 해결]

- V3에서 multiprocessing.pyd를 오진해서 해당 모듈 빼고 만듦 (#29)



--------------------------------------------------------------------------------------------------------------------------------------------
2.1    【Jan 22, 2018】

[버그 해결]

- 가끔씩 클립보드에 복사가 제대로 안되던 문제 해결

- '클립보드에서 자동 추가'를 키고 여러 주소를 연속해서 빠르게 복사할 경우 몇 개를 인식하지 못하는 문제 해결 (https://git.io/vN2vW)

- 마루마루 http://marumaru.in/b/mangaup/... 형식의 주소를 입력할 시 제목을 잘못 읽는 문제 해결

- 마루마루 http://marumaru.in/b/mangaup/... 형식의 주소를 입력할 시 reCAPTCHA 오류 뜨는 문제 해결

- 다운로드 중 [저장&종료]한 후에 다시 시작하면 잘못된 폴더에 저장하는 문제 해결 (https://git.io/vN2v4)

- 빈 목록에서 우 클릭하면 에러 뜨는 문제 해결

- CPU 점유율 높게 유지되는 문제 해결

- 히토미 다운로드 안되는 문제 해결 (https://git.io/vN2vB, https://git.io/vN2vR)

- 기타 자잘한 것들


[변경/추가된 기능]

- 검색기 목록에서 타입이나 태그 등을 바로 볼 수 있게 수정

- 히토미 계열 다운로드 시 파일 이름을 0000.jpg, 0001.jpg와 같이 바꾸어서 저장하는 기능 (옵션 - 설정 - 히토미 설정 - 파일 이름 형식 - 숫자)

- 내장 이미지 뷰어

- 이미지를 더 빠르게 읽음

- 패키징 툴을 바꿈

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
2.0    【Jan 10, 2018】

[버그 해결]

- 한 작업의 파일 갯수가 너무 많을 때, 정보를 보면 메모리 부족으로 에러뜨는 문제 해결

- 다운로드가 정상적으로 완료되었는데도 불완전한 작업으로 잘못 표시되는 문제 해결

- 시리즈명 등에 and, or, not, +, - 등이 들어가면 어떻게 해도 검색이 불가능한 문제 해결 (이제 큰따옴표로 묶어주면 검색 가능)
      예:
          spice and wolf -> "spice and wolf"

- 섬네일 이미지 읽을 때 버벅이는 문제 해결

- 일부 컴퓨터에서 유튜브 다운로드 안되는 문제 해결

- 유튜브 바뀐 패턴 적용


- 기타 자잘한 것들


[변경/추가된 기능]

- 마루마루 reCAPTCHA 뚫기 (시험 기능; 고급 설정에서 On/Off 가능)

- 한 파일 다운로드 중 연결이 끊어지는 경우 끊어진 지점부터 받음

- 폴더 열기 버튼을 누를 때, 폴더가 없고 압축파일만 있는 경우 압축파일이 있는 폴더를 엶

- 일반 설정 - 언어에 English 추가

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
1.9e    【Dec 29, 2017】

[버그 해결]

- 업데이트 링크 잘못돼서 고침 (v1.9 ~ v1.9d)

- 텀블러 이름이 깨지는 문제 해결

- 파일 크기 체크하는 중에 파일을 지우면 에러 뜨는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 유튜브 음원(mp3) 다운로드

- Bilibili 다운로드

- ExHentai 다운로드

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
1.9d    【Dec 21, 2017】

[버그 해결]

- 일부 컴퓨터에서 주소입력창이 안 보이는 문제 해결

- 텀블러 다운로드 안되는 문제 해결

- 개별 파일이 덜 받아진 상태에서 완료되는 문제 해결 (파일 사이즈를 체크해서 덜 받아진 경우 다시 시도)

- 기타 자잘한 것들


[변경/추가된 기능]

- Pornhub 다운로드

- 작업 추가 부하 줄임

- 삭제시 폴더 / 압축파일 선택해서 지울 수 있게

- 검색기 작가 / 시리즈 / 캐릭터 이름 복사

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
1.9c    【Dec 6, 2017】

[버그 해결]

- 픽시브 움짤 사이즈가 600x600 이하로 받아지는 문제 해결

- 비메오 오래된 동영상 다운로드 안되는 문제 해결

- 다운로드 중 삭제 시 가끔씩 파일이 남아있는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 픽시브 움짤 변환 시 메모리 더 적게 쓰게 수정

- 검색기 북마크 기능 추가

- N/A를 작가, 그룹, 시리즈, 캐릭터, 태그에도 쓸 수 있게 수정

- 작업 정보창에서 존재하지 않는 파일은 빨간색으로 표시

- 작업 목록 저장 시 가능하면 상대경로로 저장 (다른 위치로 옮겨도 실행파일, 설정파일(*.ini), 다운로드 폴더가 같은 폴더에만 있으면 정상적으로 동작)

- 검색기에서 검색 시 버벅이는 문제 완화

- 구글 이미지 다운로드 지원 중단

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
1.9b    【Nov 27, 2017】

[버그 해결]

- 마루마루 오래된 만화 다운로드 안되는 문제 해결

- 마루마루 패스워드 걸린 만화 다운로드 안되는 문제 해결

- 마루마루 파일 일부가 깨져서 다운로드 되는 문제 해결

- 트위터 다운로드 안되는 문제 해결

- 클립보드에서 가져오기 기능을 켜놓고 URL 복사를 하면 이미 추가된 것과 관계없이 추가되는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 비메오 다운로드

- 티비플 다운로드

- 텀블러 다운로드

- 다운로더 목록 필터 기능 추가 (좌측 하단 돋보기 모양 아이콘)

- 다운로드 폴더 종류별로 열 수 있게 바꿈 (하단 폴더 모양 아이콘)

- 투명도 조절 슬라이더를 옮김 (우측 상단)

- 저사양 PC에서 다운로드 시 프로그램이 버벅이는 문제 완화

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
1.9a    【Nov 20, 2017】

[버그 해결]

- 사용자 계정 이름이 한글이나 특수문자로 이루어져 있을 시에 실행이 안되는 문제 해결


[변경/추가된 기능]

- 자동완성 기능 강화



--------------------------------------------------------------------------------------------------------------------------------------------
1.9    【Nov 19, 2017】

[버그 해결]

- 파일 수정 날짜가 밀리는 현상 해결

- 제목에 특수문자(윈도 파일시스템에서 인코딩 불가능한 것)가 있으면 폴더 생성이 안되는 문제 해결 (해당 문자 제거)

- 픽시브 북마크 마지막 1~2 페이지가 다운로드 안되는 문제 해결

- 연결 상태가 좋지 않을 때 다운로드 중 취소 시 스레드가 매우 늦게 복구되는 문제 해결

- 파일 이름이 중복되면 압축 오류 뜨는 문제 해결

- E-Hentai 갤러리를 찾지 못하는 문제 해결

- E-Hentai 이미지 잘못 읽는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 트위터 다운로드

- 인스타그램 다운로드

- 구글 이미지 다운로드

- 데비안아트 다운로드 (갤러리; 이미지만)

- 히토미 계열이 아닌 경우에 저장되는 폴더 이름을 조금 수정함
      다운로드 폴더가 D라고 할 때,
            마루마루 다운로드 폴더 = D_maru
            픽시브 다운로드 폴더 = D_pixiv

- 폴더나 압축파일을 복사해서 붙여넣을 수 있음 (주소 입력창에서 [Ctrl] + [V])
      해당 폴더를 업데이트할 때 사용
      ... (id) ... 형식의 이름만 사용 가능

- Finder에서 퍼지로 찾기 기능 추가

- 브라우저로 보기 기능 추가

- 윈도우10 HiDPI 지원

- 재시작 했을 때 이전 작업 유지

- 자동 완성

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
1.8f    【Oct 25, 2017】

[버그 해결]

- 픽시브 R-18 다운로드 안되는 문제 해결

- 픽시브 다운로드 되지 않는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 픽시브 다운로드 속도 개선

- 픽시브 개별 일러스트 다운로드

- 픽시브 북마크 다운로드

- 픽시브 움짤 다운로드

- 7z 지원 중단



--------------------------------------------------------------------------------------------------------------------------------------------
1.8e    【Oct 22, 2017】

[버그 해결]

- 제목이 너무 길 경우 삭제되지 않는 문제 해결

- 일부 컴퓨터에서 블루스크린이 뜨는 문제 해결

- 기타 자잘한 것들


[변경/추가된 기능]

- 하드디스크에 부담 적게 주도록 변경
      [변경] 이미지 리사이징 시 하드디스크 사용   →   메모리 사용
      [변경] 검색기에서 검색 시 hitomi_searcher_tmp 폴더를 만들고 캐시   →   메모리에 캐시

- 플로팅 미리보기 빨리 뜨게 변경

- 작가가 없을 시 그룹으로 대체해서 표기

- 픽시브 다운로드



--------------------------------------------------------------------------------------------------------------------------------------------
1.8d    【Oct 14, 2017】

[버그 해결]

- 마루마루 다운로드 후 압축되지 않는 문제 해결

- 7Z 압축 제대로 되지 않는 문제 해결


[변경/추가된 기능]

- 업데이트 체크 안정화

- 기타 자잘한 것들



--------------------------------------------------------------------------------------------------------------------------------------------
1.8c    【Oct 8, 2017】

[변경/추가된 기능]

- 이미 다운로드 완료된 파일이 있을 경우 덮어쓰지 않고 다운로드 생략

- 마루마루 다운로드



--------------------------------------------------------------------------------------------------------------------------------------------
1.8b    【Oct 4, 2017】

[버그 해결]

- 동영상 다운로드 시 4개를 초과하면 이전 파일이 삭제되는 문제 해결



--------------------------------------------------------------------------------------------------------------------------------------------
1.8a    【Sep 19, 2017】

[버그 해결]

- 애니메이션이 다운로드되지 않는 문제 해결


[변경/추가된 기능]

- 유튜브 동영상 다운로드

- 검색기에서 더 구체적으로 필터 적용할 수 있게 수정:
    논리곱("and" 또는 ","), 논리합("or" 또는 "+"), 부정("not" 또는 "-") 그리고 괄호를 조합해서 사용 가능.
    제목(Title)에선 특별히 논리곱을 생략하고 스페이스(" ")로 쓸 수 있음. (sushi boy = sushi and boy)
    예시:
        제목 (Title):
            sushi boy    →    "sushi" 와 "boy" 가 모두 들어간 제목을 검색
            sushi + boy    →    "sushi" 또는 "boy"가 들어간 제목을 검색
            "sushi boy"    →    "sushi boy"가 들어간 제목을 검색
            "sushi boy" -kimchi    →    "sushi boy"가 들어가고 "kimchi"가 들어가지 않은 제목을 검색
            A and B    →    "A" 와 "B"가 모두 들어간 제목을 검색
            A or B    →    "A" 또는 "B"가 들어간 제목을 검색 ( A + B 와 같음)
            A or (B and C)    →    "A"가 들어가거나, "B"와 "C"가 모두 들어가는 제목을 검색 ( A + (B, C) 와 같음)
        태그들 (Tags):
            female: loli, male:shota    →    female:loli 와 male:shota가 들어간 태그를 검색 (female:loli and male:shota와 같음)
            female: loli + male:shota    →    female:loli 또는 male:shota가 들어간 태그를 검색 (female:loli or male:shota와 같음)
            female: loli, -male:shota    →    female:loli 가 들어가고 male:shota가 들어가지 않은 태그를 검색 (female:loli and not male:shota와 같음)
            female: loli,  male:shota + female:glasses    →    female:loli and male:shota or female:glasses 와 같음
            -female:loli, (male:shota + -female:glasses)    →    not female:loli and (male:shota or not female:glasses) 와 같음
    나머지 모든 항목에도 똑같이 적용됨.

- 애니메이션도 삭제 가능하게 수정



--------------------------------------------------------------------------------------------------------------------------------------------
0.1    【Nov 6, 2016】

첫 릴리즈
